﻿; Module/File:     Button_DetectSingleRclick.pb
; Function:        Detect a single rightclick on ButtonGadgets - Linux
; Author:          Omi
; Date:            Feb. 06, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#Win_Main = 0

#But1 = 0

Enumeration #PB_Event_FirstCustomValue
	#Event_Rightclick
EndEnumeration

Global.i gEvent, gQuit

ProcedureC Callback_GtkEntryRightSingleclick(*widget.GtkWidget, *Event.GdkEventButton, user_data)
	If user_data = #But1
		If *Event\button = 3
			If *Event\type = #GDK_BUTTON_PRESS
				PostEvent(#Event_Rightclick, GetActiveWindow(), user_data)
				ProcedureReturn #True
			EndIf
		EndIf
	EndIf
EndProcedure

If OpenWindow(#Win_Main, 0, 0, 400, 100, "Right-singleclick on ButtonGadget", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 390,  26, "Try a rightclick on me ...")
	
	g_signal_connect_(GadgetID(#But1), "button-press-event", @Callback_GtkEntryRightSingleclick(), #But1)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #But1
					Debug "Left singleclick"
				EndIf
				
			Case #Event_Rightclick
				If EventGadget() = #But1
					Debug "Right singleclick on Button " + Str(#But1)
				EndIf
				
		EndSelect
		
	Until gQuit
	
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 19
; FirstLine = 30
; Folding = -
; EnableUnicode
; EnableXP