﻿; Module/File:     Button_GtkArrow_.pb
; Function:        Adds gtk-arrow - Linux
; Author:          Omi
; Date:            Nov. 22, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin  = 0
#Txt1     = 0
#Txt2     = 1
#Txt3     = 2
#Txt4     = 3

#WinX     = 0
#WinY     = 0
#WinW     = 200
#WinH     = 200

Global.i gEvent, gQuit
Global.GtkWidget *gArrow1, *gArrow2, *gArrow3, *gArrow4


Procedure.i ArrowGadget(Gadget, x, y, w, h, type)
	Protected.i Container     = ContainerGadget(Gadget, x, y, w, h, #PB_Container_BorderLess)
	Protected.GtkWidget *arrow= gtk_arrow_new_(type, #GTK_SHADOW_ETCHED_OUT)
	If Gadget <> #PB_Any : Container= Gadget : EndIf
	gtk_container_add_(GadgetID(Container), *arrow)
	gtk_widget_show_(*arrow)
	CloseGadgetList()
	ProcedureReturn *arrow
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Add gtk-arrow ", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Txt1, 5, 10, 100, 22, "arrow down")
	TextGadget(#Txt2, 5, 35, 100, 22, "arrow up")
	TextGadget(#Txt3, 5, 60, 100, 22, "arrow left")
	TextGadget(#Txt4, 5, 85, 100, 22, "arrow right")

	*gArrow1= ArrowGadget(#PB_Any, 110, 10, 20, 20, #GTK_ARROW_DOWN)
	*gArrow2= ArrowGadget(#PB_Any, 110, 35, 20, 20, #GTK_ARROW_UP)
	*gArrow3= ArrowGadget(#PB_Any, 110, 60, 20, 20, #GTK_ARROW_LEFT)
	*gArrow4= ArrowGadget(#PB_Any, 110, 85, 20, 20, #GTK_ARROW_RIGHT)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.31 (Linux - x86)
; CursorPosition = 10
; Folding = -
; EnableUnicode
; EnableXP