﻿; Module/File:     Button_NoFocusOnClick.pb
; Function:        No focus on button-click - Linux
; Author:          Omi
; Date:            Sep. 02, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

#MainWin= 0

Enumeration
	#myButton1
	#myButton2
EndEnumeration

Global.i gEvent, gQuit


If OpenWindow(#MainWin, #PB_Ignore, #PB_Ignore, 250, 250, "Buttonclick without focus", #PB_Window_ScreenCentered)
	ButtonGadget(#myButton1, 5, 5, 150, 30, "Click without focus")
	ButtonGadget(#myButton2, 5, 40, 150, 30, "Click with focus")
	
	gtk_button_set_focus_on_click_(GadgetID(#myButton1), #False);            no focus
	gtk_button_set_focus_on_click_(GadgetID(#myButton2), #True);             focus on click
	
Else
	End
EndIf

Repeat
	gEvent= WaitWindowEvent()
	If EventWindow() = #MainWin
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
	EndIf
Until gQuit


End
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 8
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/