﻿; Module/File:     Button_SwitchButtom_gtk3_.pb
; Function:        Add switch-button - Linux gtk3
; Author:          Omi
; Date:            Nov. 16, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
	gtk_switch_new()
	gtk_switch_get_active(*GtkSwitch.GtkWidget)
EndImport

; Object constants
#MainWin= 0
#Txt1   = 0
#Txt2   = 1

#WinX   = 300
#WinY   = 200
#WinW   = 250
#WinH   = 200

Global.i gEvent, gQuit
Global *gSwitch1.GtkWidget

ProcedureC Callback_SwitchButtonChanged(*widget.GtkWidget, user_data)
	If *widget = *gSwitch1
		Debug gtk_switch_get_active(*widget)
	EndIf
EndProcedure

Procedure.i SwitchButtonGadget(Gadget, x, y, w, h)
	Protected.i Container= ContainerGadget(Gadget, x, y, w, h, #PB_Container_Flat)
	Protected *switch= gtk_switch_new()
	If Gadget <> #PB_Any : Container= Gadget : EndIf
	gtk_container_add_(GadgetID(Container), *switch)
	gtk_widget_show_(*switch)
	CloseGadgetList()
	ProcedureReturn *switch
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Add SwitchButton", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Txt1, 5, 15, 100, 22, "Switch-Button")
	TextGadget(#Txt2, 160, 20, 40, 22, "")
	*gSwitch1= SwitchButtonGadget(#PB_Any, 110, 10, 40, 30)
	
	g_signal_connect(*gSwitch1, "notify::active", @Callback_SwitchButtonChanged(), 0)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 8
; Folding = -
; EnableUnicode
; EnableXP