﻿; Module/File:     ComboBox_ControlledPopup.pb
; Function:        ComboBox: programmatically popup - Linux
; Author:          Omi
; Date:            Oct. 20, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

#MainWin= 0

#But1  = 0
#CbG1  = 1

Global.i gEvent, gQuit, gI

If OpenWindow(0, #PB_Ignore, #PB_Ignore, 400, 250, "ComboBox: controlled popup", #PB_Window_ScreenCentered)
	ButtonGadget  (#But1,   5,  5, 200, 26, "Open ComboBox popup")
	TextGadget    (#PB_Any, 5, 42, 200, 22, "Auto popup ComboBox ...")
	ComboBoxGadget(#CbG1,   5, 65, 200, 30)
	For gI= 1 To 5
		AddGadgetItem(#CbG1, -1, "item #"+ Str(gI))
	Next gI
	SetGadgetState(#CbG1, 0)
	
EndIf

Repeat
	gEvent = WaitWindowEvent()
	If EventWindow()= 0
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #But1
					gtk_combo_box_popup_(GadgetID(#CbG1));                   opens ComboBoxGadget-popup
				EndIf
		EndSelect
	EndIf
Until gQuit
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 28
; FirstLine = 14
; EnableUnicode
; EnableXP