﻿; Module/File:     ComboBox_DetectSingleRclick.pb
; Function:        Detect a right singleclick on ComboBoxGadgets - Linux
; Author:          Omi
; Date:            Sep. 02, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

#Win_Main= 0

Enumeration
	#CbG1
EndEnumeration

Enumeration #PB_Event_FirstCustomValue
	#Event_Rightclick
EndEnumeration

Global.i gEvent, gQuit, gI

ProcedureC Callback_GtkComboRightSingleclick(*widget.GtkWidget, *Event.GdkEventButton, user_data)
	If user_data = #CbG1
		If *Event\button = 3
			If *Event\type = #GDK_BUTTON_PRESS
				PostEvent(#Event_Rightclick, GetActiveWindow(), user_data)
				ProcedureReturn #True
			EndIf
		EndIf
	EndIf
EndProcedure

If OpenWindow(#Win_Main, #PB_Ignore, #PB_Ignore, 400, 100, "Detect rightclick on ComboBoxGadget", #PB_Window_ScreenCentered)
	ComboBoxGadget(#CbG1, 5, 5, 300, 30)
	AddGadgetItem(#CbG1, -1, "try a rightclick (e.g. for reload)")
	For gI= 1 To 5
		AddGadgetItem(#CbG1, -1, "item #"+ Str(gI))
	Next gI
	SetGadgetState(#CbG1, 0)
	
	g_signal_connect_(GadgetID(#CbG1), "button-press-event", @Callback_GtkComboRightSingleclick(), #CbG1)
	
Else
	End
EndIf

Repeat
	gEvent = WaitWindowEvent()
	If EventWindow()= #Win_Main
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #Event_Rightclick
				If EventGadget() = #CbG1
					Debug "Right singleclick on Combobox " + Str(#CbG1)
				EndIf
				
		EndSelect
	EndIf
Until gQuit


End
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 8
; Folding = -
; EnableUnicode
; EnableXP