﻿; Module/File:     Dialog_About_1.pb
; Function:        Standard-About-Dialog (not complete), loaded window-default-icon used - Linux 
; Author:          Omi
; Date:            Sept. 13, 2014
; Version:         0.2, updt. utf8-handling
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_about_dialog_new()
	gtk_about_dialog_set_program_name(*about, name.p-utf8)
	gtk_about_dialog_set_version(*about, version.p-utf8)
	gtk_about_dialog_set_copyright(*about, copyright.p-utf8)
	gtk_about_dialog_set_comments(*about, comments.p-utf8)
	gtk_about_dialog_set_license(*about, license.p-utf8)
	gtk_about_dialog_set_website(*about, website.p-utf8)
	gtk_about_dialog_set_logo_icon_name(*about, icon_name.p-utf8)
	gtk_about_dialog_set_logo(*about, *logo)
	gtk_about_dialog_set_authors(*about, author.p-utf8)
	gtk_window_set_default_icon_from_file(filename.p-utf8, *err)
EndImport

UsePNGImageDecoder()

; object variables
#MainWin= 0
#Exp1   = 0

#WinX= 300
#WinY= 200
#WinW= 400
#WinH= 300


Global.i gEvent, gQuit, gCounter
Global *err

Procedure ShowAbout()
	Protected   *about
	Protected.l Ret
	Protected.s S= "Programm zum 'about-dialog'-Test" + #LF$ + "mit 2. 'comment'-Zeile"
	
	*about= gtk_about_dialog_new()
	gtk_about_dialog_set_program_name(*about, "about-test")
	gtk_about_dialog_set_version(*about, "V1.234")
	gtk_about_dialog_set_copyright(*about, "(c) by Charly Bauer (Omi)")
	gtk_about_dialog_set_comments(*about, S)
	gtk_about_dialog_set_license(*about, "Licensed as Freeware")
	gtk_about_dialog_set_website(*about, "http://www.purebasic.fr/german/")
	gtk_about_dialog_set_logo(*about, #Null);                Icon from gtk_window_set_default_icon_from_file
	Ret= gtk_dialog_run_(*about);                            i.e. #GTK_RESPONSE_CANCEL = -6
	Debug Ret;                                               direct Debug show wrong int-Value at 64-Bit
	gtk_widget_destroy_(*about)
EndProcedure

;Pfad auf Icon in eigener Installation anpassen ...
gtk_window_set_default_icon_from_file("/usr/share/icons/default.kde4/48x48/devices/video-display.png", @*err)

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "auto about-dialog", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	
	ShowAbout()
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 10
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/