﻿; Module/File:     Dialog_About_3.pb
; Function:        Standard-About-Dialog (not complete), icon embedded - Linux 
; Author:          Omi
; Date:            Dec. 30, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_about_dialog_new()
	gtk_about_dialog_set_program_name(*about, name.p-utf8)
	gtk_about_dialog_set_version(*about, version.p-utf8)
	gtk_about_dialog_set_copyright(*about, copyright.p-utf8)
	gtk_about_dialog_set_comments(*about, comments.p-utf8)
	gtk_about_dialog_set_license(*about, license.p-utf8)
	gtk_about_dialog_set_website(*about, website.p-utf8)
	gtk_about_dialog_set_logo(*about, *logo)
	gtk_about_dialog_set_authors(*about, author.p-utf8)
EndImport

UsePNGImageDecoder()

; object variables
#MainWin= 0
#Exp1   = 0

#InfoImage= 0

#WinX= 300
#WinY= 200
#WinW= 400
#WinH= 300


Global.l gEvent, gQuit

Procedure ShowAbout(*pixbuf)
	Protected   *about
	Protected.l Ret
	Protected.s S= "Demo for 'about-dialog'-Test" + #LF$ + "Icon is embedded!"
	
	*about= gtk_about_dialog_new()
	gtk_about_dialog_set_program_name(*about, "about-test")
	gtk_about_dialog_set_version(*about, "v1.0")
	gtk_about_dialog_set_copyright(*about, "(c) by Charly Bauer (Omi)")
	gtk_about_dialog_set_comments(*about, S)
	gtk_about_dialog_set_license(*about, "Licensed as Freeware")
	gtk_about_dialog_set_website(*about, "http://www.purebasic.fr/german/")
	If *pixbuf
		gtk_about_dialog_set_logo(*about, *pixbuf)
	EndIf
	Ret= gtk_dialog_run_(*about);                           i.e. #GTK_RESPONSE_CANCEL = -6
	Debug Ret;                                              direct Debug show wrong int-Value at 64-Bit
	gtk_widget_destroy_(*about)
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "about-dialog w. embedded icon", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)

	If CatchImage(#InfoImage, ?InfoIcon)
		ShowAbout(ImageID(#InfoImage))
	EndIf
	
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf


DataSection
	;InfoIcon: : IncludeBinary "/usr/share/icons/gnome/48x48/apps/preferences-desktop-screensaver.png";   change to existing 48x48-icon
	InfoIcon: : IncludeBinary "/usr/share/icons/default.kde4/48x48/apps/preferences-desktop-screensaver.png";   change to existing 48x48-icon
EndDataSection
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 36
; FirstLine = 36
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/