﻿; Module/File:     Dialog_TextEntryButtons.pb
; Function:        gtk-Dialog: Icon, Text & <4 Buttons (free und stock) - Linux
; Author:          Omi
; Date:            Oct. 12, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;DialogBox-Response ...
; #GTK_RESPONSE_DELETE_EVENT=  MessageBox closed via Window-Close
; from left: 1, 2, 3

EnableExplicit

ImportC ""
	gtk_window_set_modal(*window.GtkWindow, modal)
	gtk_window_set_title(*window.GtkWindow, title.p-utf8)
	gtk_dialog_get_content_area(*dialog.GtkDialog)
	gtk_dialog_add_button(*dialog.GtkDialog, button_text.p-utf8, response_id)
	gtk_label_new(str.p-utf8)
	gtk_image_new_from_stock(stock_id.p-utf8, size)
EndImport

; Object constants
#MainWin=0
#But= 0

#WinX=300
#WinY=200
#WinW=300
#WinH=100

Global.i gEvent, gQuit

Procedure.l DialogBoxLabel(ParentWindow, DlgTitle.s, DlgBody.s, DlgIcon.s, *DlgButtons, ResponseOk); modal ...; noch Buttons per Trenner | übergeben
	Protected hbox, lEntry
	Protected *dialog.GtkWidget, *label.GtkWidget, *image.GtkWidget
	Protected.i I
	Protected.l DlgResponse
	Protected.s ButtonSingle
	
	*dialog= gtk_dialog_new_()
	gtk_window_set_modal(*dialog, #True)
	gtk_window_set_resizable_(*dialog, #False)
	gtk_window_set_title(*dialog, DlgTitle)
	
	hbox= gtk_hbox_new_(#False, 0)
	gtk_container_set_border_width_(hbox, 8)
	gtk_box_pack_start_(gtk_dialog_get_content_area(*dialog), hbox, #False, #False, 0)
	
	*image= gtk_image_new_from_stock(DlgIcon, #GTK_ICON_SIZE_DIALOG)
	gtk_box_pack_start_(hbox, *image, #False, #False, 0)
	
	*label= gtk_label_new(DlgBody)
	gtk_box_pack_start_(hbox, *label, #True, #False, 10); changed 12.10.2015 for gtk3
	
	If *DlgButtons > $FF
		For I= 1 To CountString(PeekS(*DlgButtons), "|")+ 1
			ButtonSingle= StringField(PeekS(*DlgButtons), I, "|")
			gtk_dialog_add_button(*dialog, ButtonSingle, I);-1000- I)
		Next I
	EndIf
	
	gtk_widget_show_all_(*dialog)
	DlgResponse= gtk_dialog_run_(*dialog)
	gtk_widget_destroy_(*dialog)
	ProcedureReturn DlgResponse
EndProcedure


;- Main ...
If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "native Dialogbox", #PB_Window_SystemMenu)
	ButtonGadget(#But, 5, 5, 290, 26, "Dialog w. label, icon, 3 buttons, modal")
	
	Repeat
		gEvent= WaitWindowEvent()

		Select gEvent

			Case #PB_Event_CloseWindow
				gQuit= #True

			Case #PB_Event_Gadget

				Select EventGadget()

					Case #But
						Debug DialogBoxLabel(#MainWin, 
						                     "Dialog w. Icon, Text + Buttons",
						                     "Hier eine etwas längere Textzeile mit" + #LF$ + "Zeilenumbruch!",
						                     "gtk-dialog-question",
						                     @"gtk-cancel|gtk-ok|non stock", 
						                     2)
				EndSelect

		EndSelect

	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 40
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/