﻿; Module/File:     Desktops_GetList.pb
; Function:        Get list of desktops (needs wmctrl) - Linux
; Author:          Omi
; Date:            Mar. 31, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

; wmctrl must be installed !!!
; install: sudo apt-get install wmctrl

EnableExplicit

Global.i ProgrammId, I
Global.s Output= "", DesktopData, DeskNo, DeskName 

ProgrammId = RunProgram("wmctrl", "-d", "", #PB_Program_Open | #PB_Program_Read)
If ProgrammId
	While ProgramRunning(ProgrammId)
		If AvailableProgramOutput(ProgrammId)
			Output + ReadProgramString(ProgrammId) + #LF$
		EndIf
	Wend
	CloseProgram(ProgrammId)
EndIf

Output= ReplaceString(Output, "  ", " ")
For I= 1 To CountString(Output, #LF$)
	DesktopData= StringField(Output, I, #LF$)
	DeskNo  = StringField(DesktopData, 1, " ")
	DeskName= Mid(DesktopData, FindString(DesktopData, StringField(DesktopData, 9, " ")) + Len(StringField(DesktopData, 9, " "))+ 1)
	Debug "Desktop-Index: " + DeskNo + " = " + "Desktop-Name: " + DeskName
Next I
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 33
; EnableUnicode
; EnableXP