﻿; Module/File:     Screen_GetDefault.pb
; Function:        Get Default-Screen & some screen informations - Linux
; Author:          Omi
; Date:            Dec. 12, 2016
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gdk_screen_get_default()
	gdk_screen_get_number(*screen.GdkScreen)
	gdk_screen_get_display(*screen.GdkScreen)
	gdk_screen_is_composited(*screen.GdkScreen)
	gdk_screen_get_root_window(*screen.GdkScreen)
	gdk_screen_get_width.l(*screen.GdkScreen)
	gdk_screen_get_height.l(*screen.GdkScreen)
	gdk_screen_get_width_mm.l(*screen.GdkScreen)
	gdk_screen_get_height_mm.l(*screen.GdkScreen)
	
	gdk_screen_get_n_monitors.l(*screen.GdkScreen)
	gdk_screen_get_primary_monitor.l(*screen.GdkScreen)
	gdk_screen_get_resolution.d(*screen.GdkScreen)
	gdk_screen_get_active_window(*screen.GdkScreen)
	
; 	gdk_x11_screen_get_number_of_desktops(*screen.GdkScreen); gtk3
	gdk_display_get_name(*display.GdkDisplay)
EndImport
	
; Object constants
#Win_Main  = 0


Global.i gEvent, gQuit
Global   *gScreen.GdkScreen

Procedure Create_WinMain()
	If OpenWindow(#Win_Main, 300, 200, 500, 100, "Get default screen ...", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
		ButtonGadget(0, 5, 5, 490, 26, "Debug Default-screen and some infos...")
	EndIf
EndProcedure

Create_WinMain()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
			
		Case #PB_Event_CloseWindow
			gQuit= #True
			
		Case #PB_Event_Gadget
			If EventGadget()= 0
				*gScreen= gdk_screen_get_default()
				Debug "Screen-adress                       : " + Str(*gScreen)
				Debug "Screen number                       : " + gdk_screen_get_number(*gScreen)
				Debug "Screen is on display                : " + gdk_screen_get_display(*gScreen) + ", name= " + PeekS(gdk_display_get_name(gdk_screen_get_display(*gScreen)), -1, #PB_UTF8)
				Debug "Screen is composited                : " + gdk_screen_is_composited(*gScreen)
				Debug "Screen: Gdk root window             : " + gdk_screen_get_root_window(*gScreen)
				Debug "Screen: Active Gdk window           : " + gdk_screen_get_active_window(*gScreen)
				Debug "Screen width in pix                 : " + gdk_screen_get_width(*gScreen)
				Debug "Screen height in pix                : " + gdk_screen_get_height(*gScreen)
				Debug "Screen width in mm                  : " + gdk_screen_get_width_mm(*gScreen)
				Debug "Screen height in mm                 : " + gdk_screen_get_height_mm(*gScreen)
				Debug "Screen: Number of monitors          : " + gdk_screen_get_n_monitors(*gScreen)
				Debug "Screen: Index of prim. monitor      : " + gdk_screen_get_primary_monitor(*gScreen)
				Debug "Screen resolution (dpi)             : " + gdk_screen_get_resolution(*gScreen)
; 				Debug "Screen: Number of desktops (X11)    : " + gdk_x11_screen_get_number_of_desktops(*gScreen); gtk3
			EndIf
			
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 53
; Folding = -
; EnableXP