﻿; Module/File:     Editor_CursorInVisibleRange.pb
; Function:        Place Cursor in in visible range - Linux
; Author:          Omi
; Date:            Aug 01, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#Bt1    = 0
#Edt1   = 1

#WinX= 300
#WinY= 200
#WinW= 300
#WinH= 200

Global.i gEvent, gQuit


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget-Cursor set visible", #PB_Window_SystemMenu)
	ButtonGadget(#Bt1, 5, 3, 100, 25, "Cursor show")
	EditorGadget(#Edt1, 5, 30, #WinW-10, #WinH-34)
	AddGadgetItem(#Edt1, -1, "Dies ist ein mehrzeiliger Text in dem das")
	AddGadgetItem(#Edt1, -1, "Ein- und Auschalten der Cursordarstellung")
	AddGadgetItem(#Edt1, -1, "innerhalb eines EditorGadgets per Toggle-")
	AddGadgetItem(#Edt1, -1, "Button gezeigt wird, da die Darstellung")
	AddGadgetItem(#Edt1, -1, "eines Cursors innerhalb eines'read-only'-")
	AddGadgetItem(#Edt1, -1, "Textes wenig Sinn macht!")
	AddGadgetItem(#Edt1, -1, "Auch ist es sehr praktisch, den Cursor,")
	AddGadgetItem(#Edt1, -1, "falls dieser aus dem Sichtbereich gescrollt")
	AddGadgetItem(#Edt1, -1, "wurde, auf Knopfdruck wieder in den sicht-")
	AddGadgetItem(#Edt1, -1, "baren Scrollbereich zu setzen.")
	AddGadgetItem(#Edt1, -1, "Der Cursor ist jetzt auf dem Textende und")
	AddGadgetItem(#Edt1, -1, "kann per Klick auf den Button wieder sicht-")
	AddGadgetItem(#Edt1, -1, "bar werden.")
	
	SetActiveGadget(#Edt1)
	gtk_text_view_set_cursor_visible_(GadgetID(#Edt1), #True)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #Bt1
					Debug "Cursor umgesetzt? " + Str(gtk_text_view_place_cursor_onscreen_(GadgetID(#Edt1)))
					SetActiveGadget(#Edt1)
				EndIf
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 8
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/