﻿; Module/File:     Editor_Editability.pb
; Function:        change general editability of Editor-Gadget - Linux
; Author:          Omi
; Date:            Nov. 12, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;for partial editability see 'Editor_LikeGtkDemo.pb'

EnableExplicit

; Object constants
#MainWin= 0
#Bt1    = 0
#Edt1   = 1

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.i gEvent, gQuit
Global.s S= "Dies ist ein mehrzeiliger Text in dem das Ein- und Ausschalten der Editierbarkeit eines EditorGadgets per Toggle-Button gezeigt wird, " +
            "da es nötig werden kann, dass die Editierbarkeit des Gesamttextes auch einmal nachträglich umgestellt wird!"


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget - editability on / off", #PB_Window_SystemMenu)
	ButtonGadget(#Bt1, 5, 3, 100, 25, "editable", #PB_Button_Toggle)
	EditorGadget(#Edt1, 5, 30, #WinW-10, #WinH-35, #PB_Editor_ReadOnly)
	gtk_button_set_focus_on_click_(GadgetID(#Bt1), #False);            no focus
	gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_WORD)
	AddGadgetItem(#Edt1, -1, S)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget()= #Bt1
					If GetGadgetState(#Bt1)
						gtk_text_view_set_editable_(GadgetID(#Edt1), #True)
					Else
						gtk_text_view_set_editable_(GadgetID(#Edt1), #False)
					EndIf
				EndIf
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 21
; FirstLine = 7
; EnableUnicode
; EnableXP