﻿; Module/File:     Editor_InsertText@Cursorpos.pb
; Function:        Insert Text as UTF-8 at cursor position - Linux
; Author:          Omi
; Date:            Sept. 10, 2014
; Version:         0.2, updt. utf8-handling
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_text_buffer_insert_at_cursor(*buffer.GtkTextBuffer, text.p-utf8, len)
EndImport

; Object constants
#MainWin = 0
#Edt1    = 0
#BT1     = 1
#String1 = 2

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.i gEvent, gQuit
Global *textbuffer.GtkTextBuffer
Global.s S= "Dies ist ein mehrzeiliger Text in dem das" + #LF$ + "Ein- und Auschalten der Cursordarstellung" + #LF$ + "innerhalb eines EditorGadgets per Toggle-" + #LF$ + 
            "Button gezeigt wird, da die Darstellung" + #LF$ + "eines Cursors innerhalb eines'read-only'-" + #LF$ + "Textes wenig Sinn macht!"



If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget - insert text", #PB_Window_SystemMenu)
	ButtonGadget(#BT1, 5, 5, 100, 25, "Insert text")
	StringGadget(#String1, 110, 5, 150, 25, " >INSERTED TEXT< ")
	EditorGadget(#Edt1, 5, 35, #WinW-10, #WinH-40, #PB_Editor_WordWrap)
	AddGadgetItem(#Edt1, -1, S)
	
	gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_WORD);  wortweiser Zeilenumbruch
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				Select EventGadget()
					Case #BT1
						gtk_text_buffer_insert_at_cursor(gtk_text_view_get_buffer_(GadgetID(#Edt1)), GetGadgetText(#String1), Len(GetGadgetText(#String1)))
						
				EndSelect
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 7
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/