﻿; Module/File:     EG_AddIndention.pb
; Function:        Explorer-&TreeGadget: Choose Indention of childs - Linux gtk2/gtk3
; Author:          Omi
; Date:            Dec. 29, 2014
; Version:         0.2
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_tree_view_get_level_indentation(*tree_view.GtkTreeView)
	gtk_tree_view_set_level_indentation(*tree_view.GtkTreeView, indentation)
EndImport

; Object constants
#MainWin= 0
#EG1    = 0
#SG1    = 1

Global.i gEvent, gQuit

Procedure ChangeIndentation(Gadget)
	Debug "iter-indention pre : " + Str(gtk_tree_view_get_level_indentation(GadgetID(Gadget)))
	gtk_tree_view_set_level_indentation(GadgetID(Gadget), GetGadgetState(#SG1));  additional indention on children
	Debug "iter-indention post: " + Str(gtk_tree_view_get_level_indentation(GadgetID(Gadget)))
	Debug ""
EndProcedure

Procedure CreateWindow_Main()
	If OpenWindow(#MainWin, 200, 200, 450, 330, "Explorer&Tree - item-indention", #PB_Window_SystemMenu)
		ExplorerTreeGadget(#EG1, 5, 35, 440, 280, "/", #PB_Tree_CheckBoxes | #PB_Tree_NoLines)
		TextGadget(#PB_Any, 5, 8, 140, 20, "additional indentation: ", #PB_Text_Right)
		SpinGadget(#SG1, 145, 5, 70, 25, 0, 20, #PB_Spin_Numeric); | #PB_Spin_ReadOnly)
		
		gtk_tree_view_expand_all_(GadgetID(#EG1))
	EndIf
EndProcedure


CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #SG1
					If EventType() = #PB_EventType_Change
						ChangeIndentation(#EG1)
					EndIf
			EndSelect
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 8
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/