﻿; Module/File:     TV_Expand&CollapseAll.pb
; Function:        Explorer-&TreeGadget: Expand or collapse all nodes - Linux
; Author:          Omi
; Date:            Juli 22, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#TG1    = 0
#TG2    = 1
#BG1    = 2

#WinX= 200
#WinY= 200
#WinW= 500
#WinH= 330

Global.i gEvent, gQuit

Procedure ExpandAll(Gadget)
	Protected.i I
	; only way in (Explorer)-TreeGadget ...
	If GetGadgetState(#BG1)
		gtk_tree_view_expand_all_(GadgetID(Gadget))
	Else
		gtk_tree_view_collapse_all_(GadgetID(Gadget))
	EndIf
	
	; instead off (only TreeGadget) ...
	; 	For I= 0 To CountGadgetItems(Gadget)- 1
	; 		Debug "drin"
	; 		If GetGadgetState(#BG1)
	; 			SetGadgetItemState(Gadget, I, #PB_Tree_Expanded)
	; 		Else
	; 			SetGadgetItemState(Gadget, I, #PB_Tree_Collapsed)
	; 		EndIf
	; 	Next I
EndProcedure

Procedure CreateWindow_Main()
	Protected.i I, O

	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Explorer&Tree - expand all nodes", #PB_Window_SystemMenu)
		TreeGadget(0, 10, 35, 230, 280);                                             TreeGadget Standard
		ExplorerTreeGadget(1, 250, 35, 230, 280, "/", #PB_Tree_CheckBoxes | #PB_Tree_NoLines);    TreeGadget mit Checkboxen + ohne Linien
		ButtonGadget(#BG1, 5, 5, 100, 25, "expand/collapse all", #PB_Button_Toggle)
		
		For I= 0 To 0
			For O= 0 To 10
				AddGadgetItem(I, -1, "Normal Item "+Str(O), 0, 0)
				AddGadgetItem(I, -1, "Node "+Str(O), 0, 0)
				AddGadgetItem(I, -1, "Sub-Item 1", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 2", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 3", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 4", 0, 1)
				AddGadgetItem(I, -1, "File "+Str(O), 0, 0)
			Next O
		Next I
		
	EndIf
EndProcedure


CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #BG1
					ExpandAll(0)
					ExpandAll(1)
			EndSelect
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 23
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/