﻿; Module/File:     FrameGadget_FrameTypes.pb
; Function:        Show all FrameGadget frame-types - Linux
; Author:          Omi
; Date:            Juli 12, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Hint: Set FramesGadget-line after the gadgets! Otherwise some tooltips don't appear.
;depends on theme/distri

EnableExplicit

If OpenWindow(0, 0, 0, 320, 310, "FrameGadget", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	FrameGadget(0, 10,  10, 300, 50, "FrameGadget #GTK_SHADOW_NONE")
	FrameGadget(1, 10,  70, 300, 50, "FrameGadget #GTK_SHADOW_IN")
	FrameGadget(2, 10, 130, 300, 50, "FrameGadget #GTK_SHADOW_OUT")
	FrameGadget(3, 10, 190, 300, 50, "FrameGadget #GTK_SHADOW_ETCHED_IN")
	FrameGadget(4, 10, 250, 300, 50, "FrameGadget #GTK_SHADOW_ETCHED_OUT")
	
	gtk_frame_set_shadow_type_(GadgetID(1), #GTK_SHADOW_IN)
	gtk_frame_set_shadow_type_(GadgetID(2), #GTK_SHADOW_OUT)
	gtk_frame_set_shadow_type_(GadgetID(3), #GTK_SHADOW_ETCHED_IN)
	gtk_frame_set_shadow_type_(GadgetID(4), #GTK_SHADOW_ETCHED_OUT)
	
	Repeat
	Until WaitWindowEvent() = #PB_Event_CloseWindow
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 10
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/