﻿; Module/File:     Gadget_Expander&Widget.pb
; Function:        Add expander with checkbutton or label- Linux
; Author:          Omi
; Date:            Nov. 16, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
	gtk_expander_new(label.p-utf8)
	gtk_label_new(label.p-utf8)
	gtk_check_button_new_with_label(label.p-utf8)
EndImport

; Object constants
#MainWin= 0
#Txt1   = 0
#Txt2   = 1

#WinX   = 300
#WinY   = 200
#WinW   = 300
#WinH   = 200

Global.i gEvent, gQuit
Global *expander1

Procedure.i ExpanderGadget(Gadget, x, y, w, h, text.s)
	Protected.i Container= ContainerGadget(Gadget, x, y, w, h, #PB_Container_Flat)
	Protected *expander.GtkWidget= gtk_expander_new(text)
	If Gadget <> #PB_Any : Container= Gadget : EndIf
	
	Protected *vbox= gtk_vbox_new_(#False, 0)
	gtk_container_add_(GadgetID(Container), *vbox)
	
	gtk_box_pack_start_(*vbox, *expander, #False, #False, 0)
	;add a label ...
	Protected label= gtk_label_new("Details can be shown Or hidden here," + #LF$ + "with a second line of course")
	gtk_container_add_(*expander, label)
	;or add a checkbox ...
	;Protected cbutton= gtk_check_button_new_with_label("Ein- oder Aus")
	;gtk_container_add_(*expander, cbutton)
	
	gtk_widget_show_all_(GadgetID(Container))
	CloseGadgetList()
	ProcedureReturn *expander
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Add Expander with widget", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	*expander1= ExpanderGadget(#PB_Any, 5, 5, 290, 80, "Expander")
	;signals needed?
	;g_signal_connect(cbutton, "toggled", @Callback_ExpanderButtonChanged(), 0)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 5
; Folding = -
; EnableUnicode
; EnableXP