﻿; Module/File:     Gadget_AddSEntry.pb
; Function:        Adds a gtk3-search entry - Linux gtk3.6+
; Author:          Omi
; Date:            Sep. 08, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_search_entry_new()
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

; Object constants
#MainWin  = 0

Global.i gEvent, gQuit
Global   *gSEntry.GtkWidget

ProcedureC Callback_sEntryChanged(*widget, *user_data)
	If *widget= *gSEntry
		Debug "SearchEntry changed: "+ PeekS(gtk_entry_get_text_(*Widget), -1, #PB_UTF8)
	EndIf
EndProcedure

Procedure.i SearchEntryGadget(Gadget, x, y, w, h)
	Protected.i Container      = ContainerGadget(Gadget, x, y, w, h, #PB_Container_BorderLess)
	Protected *sEntry.GtkWidget= gtk_search_entry_new()
	
	If Gadget <> #PB_Any : Container= Gadget : EndIf
	gtk_container_add_(GadgetID(Container), *sEntry)
	gtk_widget_show_(*sEntry)
	CloseGadgetList()
	
	ProcedureReturn *sEntry
EndProcedure

If OpenWindow(#MainWin, 300, 200, 300, 200, "add SearchEntry (gtk3)", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	*gSEntry= SearchEntryGadget(#PB_Any, 5, 5, 160, 26)
	g_signal_connect(*gSEntry, "search-changed", @Callback_sEntryChanged(), #Null)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 27
; FirstLine = 7
; Folding = -
; EnableUnicode
; EnableXP