﻿; Module/File:     Gadget_GetParentGtkType.pb
; Function:        Get the parent gtk-type (name) of widget - Linux
; Author:          Omi
; Date:            Dec. 29, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

#MainWin= 0

Enumeration
	#But1
	#Txt1
	#SpG1
EndEnumeration

Global.i gEvent, gQuit
Global.i GadgetParentId


If OpenWindow(#MainWin, #PB_Ignore, #PB_Ignore, 250, 250, "Get Gadget parent", #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 150, 30, "a button")
	TextGadget(#Txt1, 5, 40, 150, 30, "a label", #PB_Text_Border)
	SpinGadget(#SpG1, 5, 75, 150, 30, 0, 10)
	
	GadgetParentId= gtk_widget_get_parent_(GadgetID(#But1))
	If GadgetParentId
		Debug "Button-Parent: " + PeekS(gtk_widget_get_name_(GadgetParentId), -1, #PB_UTF8)
	Else
		Debug "Button without parent"
	EndIf
	
	GadgetParentId= gtk_widget_get_parent_(GadgetID(#Txt1))
	If GadgetParentId
		Debug "Label-Parent: " + PeekS(gtk_widget_get_name_(GadgetParentId), -1, #PB_UTF8)
	Else
		Debug "Text without parent"
	EndIf
	
	GadgetParentId= gtk_widget_get_parent_(GadgetID(#SpG1))
	If GadgetParentId
		Debug "SpinGadget-Parent: " + PeekS(gtk_widget_get_name_(GadgetParentId), -1, #PB_UTF8)
	Else
		Debug "SpinGadget without parent"
	EndIf
	
Else
	End
EndIf

Repeat
	gEvent = WaitWindowEvent()
	If EventWindow()= #MainWin
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
	EndIf
Until gQuit

End
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 23
; EnableUnicode
; EnableXP