﻿; Module/File:     Gadget_InstantRedraw.pb
; Function:        Clears event-queue on gtk-level for instant gadget-redraw - Linux
; Author:          Omi
; Date:            Jan. 10, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#But1   = 0

#WinX   = 300
#WinY   = 200
#WinW   = 300
#WinH   = 200

Global.i gEvent, gQuit

; *********
Procedure Gadget_InstantRedraw(Gadget)
	gtk_widget_queue_draw_(GadgetID(Gadget))
	While gtk_events_pending_()
		gtk_main_iteration_()
	Wend
EndProcedure
; ********

Procedure GadgetShake(Gadget)
	Protected.i x= GadgetX(Gadget)
	Delay(50)
	ResizeGadget(Gadget, x + 120, #PB_Ignore, #PB_Ignore, #PB_Ignore)
	Gadget_InstantRedraw(Gadget);                                      disable line an watch
	Delay(200)
	ResizeGadget(Gadget, x, #PB_Ignore, #PB_Ignore, #PB_Ignore)
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Instant gadget redraw", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 150, 26, "Klick for demo")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #But1
					GadgetShake(#But1)
				EndIf
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 5
; Folding = -
; EnableUnicode
; EnableXP