﻿; Module/File:     Gadget_StockImage.pb
; Function:        Add stock image widget - Linux
; Author:          Omi
; Date:            Apr. 04, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

; Enumeration Iconsize
; 	#GTK_ICON_SIZE_INVALID
; 	#GTK_ICON_SIZE_MENU;          = 16x16
; 	#GTK_ICON_SIZE_SMALL_TOOLBAR  = 16x16
; 	#GTK_ICON_SIZE_LARGE_TOOLBAR  = 24x24
; 	#GTK_ICON_SIZE_BUTTON         = 20x20
; 	#GTK_ICON_SIZE_DND            = 32x32
; 	#GTK_ICON_SIZE_DIALOG         = 48x48
; EndEnumeration

EnableExplicit

ImportC ""
;	gtk_image_new_from_stock(stock_id.p-utf8, size); till gtk3.1
	gtk_image_new_from_icon_name(stock_id.p-utf8, size); replaces 'gtk_image_new_from_stock()', gtk2.6 up
EndImport

; Object constants
#MainWin= 0

#ImGd1  = 0
#ImGd2  = 1
#ImGd3  = 2
#ImGd4  = 3
#ImGd5  = 4
#ImGd6  = 5

#WinX   = 300
#WinY   = 200
#WinW   = 300
#WinH   = 200

Global.i gEvent, gQuit
Global.GtkWidget *stockimage1, *stockimage2, *stockimage3, *stockimage4, *stockimage5, *stockimage6


Procedure.i ImageStockGadget(Gadget, x, y, w, h, stock_id.s, size)
	Protected.i Container= ContainerGadget(Gadget, x, y, w, h, #PB_Container_BorderLess)
	;Protected *ibutton   = gtk_image_new_from_stock(stock_id, size); till gtk3.1
	Protected *ibutton   = gtk_image_new_from_icon_name(stock_id, size); gtk2.6 up

	If Gadget <> #PB_Any : Container= Gadget : EndIf
	gtk_container_add_(GadgetID(Container), *ibutton)
	gtk_widget_show_(*ibutton)
	CloseGadgetList()
	ProcedureReturn *ibutton
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Add stock image", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	;until gtk3.10 ...
; 	*stockimage1= ImageStockGadget(#ImGd1,   5, 10, 48, 48, "gtk-print", #GTK_ICON_SIZE_MENU)
; 	*stockimage2= ImageStockGadget(#ImGd2,  35, 10, 48, 48, "gtk-harddisk", #GTK_ICON_SIZE_SMALL_TOOLBAR)
; 	*stockimage3= ImageStockGadget(#ImGd3,  65, 10, 48, 48, "gtk-help", #GTK_ICON_SIZE_LARGE_TOOLBAR)
; 	*stockimage4= ImageStockGadget(#ImGd4,  95, 10, 48, 48, "gtk-network", #GTK_ICON_SIZE_BUTTON)
; 	*stockimage5= ImageStockGadget(#ImGd5, 135, 10, 48, 48, "gtk-execute", #GTK_ICON_SIZE_DND)
; 	*stockimage6= ImageStockGadget(#ImGd6, 185, 10, 48, 48, "gtk-dialog-warning", #GTK_ICON_SIZE_DIALOG)
	
	;from gtk2.60 ...
	*stockimage1= ImageStockGadget(#ImGd1,   5, 10, 48, 48, "document-print", #GTK_ICON_SIZE_MENU)
	*stockimage2= ImageStockGadget(#ImGd2,  35, 10, 48, 48, "drive-harddisk", #GTK_ICON_SIZE_SMALL_TOOLBAR)
	*stockimage3= ImageStockGadget(#ImGd3,  65, 10, 48, 48, "help-browser", #GTK_ICON_SIZE_LARGE_TOOLBAR)
	*stockimage4= ImageStockGadget(#ImGd4,  95, 10, 48, 48, "network-workgroup", #GTK_ICON_SIZE_BUTTON)
	*stockimage5= ImageStockGadget(#ImGd5, 135, 10, 48, 48, "system-run", #GTK_ICON_SIZE_DND)
	*stockimage6= ImageStockGadget(#ImGd6, 185, 10, 48, 48, "dialog-warning", #GTK_ICON_SIZE_DIALOG)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 8
; Folding = -
; EnableUnicode
; EnableXP