﻿; Module/File:     Gadget_TooltipSetEnable.pb
; Function:        Set general enable/disable of tooltips - Linux gtk2
; Author:          Omi
; Date:            Mar. 08, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_set(*object.GObject, property_name.p-utf8, *data, v= 0)
EndImport

; Object constants
#MainWin= 0
#But1   = 0
#But2   = 1

#WinX   = 300
#WinY   = 200
#WinW   = 250
#WinH   = 200

Global.i gEvent, gQuit
Global *gSettings

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Set general tooltip-enable", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 240, 26, "Deactivate Tooltips", #PB_Button_Toggle)
	ButtonGadget(#But2, 5, 35, 240, 40, "Check Tooltip-enable")
	GadgetToolTip(#But2, "Here i am")
	
	*gSettings= gtk_settings_get_default_()
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #But1
					;*** tooltip-enable is set here ... ***
					g_object_set(*gSettings, "gtk-enable-tooltips", GetGadgetState(#But1) ! 1); ignored on gtk3.10>
					;***                                ***
				EndIf
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 27
; FirstLine = 7
; EnableUnicode
; EnableXP