﻿; Module/File:     Gadget_TooltipSetTimeout.pb
; Function:        Set the general timeout of tooltip to appear - Linux gtk2
; Author:          Omi
; Date:            Mar. 08, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_set(*object.GObject, property_name.p-utf8, *data, v= 0)
EndImport

; Object constants
#MainWin= 0
#CB1    = 0
#But1   = 1

#WinX   = 300
#WinY   = 200
#WinW   = 250
#WinH   = 200

Global.i gEvent, gQuit
Global *SButton1
Global *gSettings

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Set tooltip-timeout", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any, 5, 8, 140, 22, "Tooltip timeout [ms]")
	ComboBoxGadget(#CB1, 150, 2, 95, 28)
	AddGadgetItem(#CB1, -1, "300")
	AddGadgetItem(#CB1, -1, "1000")
	AddGadgetItem(#CB1, -1, "1500")
	AddGadgetItem(#CB1, -1, "2000")
	SetGadgetState(#CB1, 1)
	
	ButtonGadget(#But1, 5, 35, 240, 40, "Check Tooltip-timeout on me")
	GadgetToolTip(#But1, "Here i am after x msec") 
	*gSettings= gtk_settings_get_default_()
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #CB1
					;*** tooltip-timeout is set here ... ***
					g_object_set(*gSettings, "gtk-tooltip-timeout", Val(GetGadgetItemText(#CB1, GetGadgetState(#CB1)))); ignored on gtk3.10>
					;***                                 ***
				EndIf
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 14
; EnableUnicode
; EnableXP