﻿; Module/File:     Gadget_TooltipSetWithIcon.pb
; Function:        Set Tooltips with stock icon - Linux gtk2/gtk3
; Author:          Omi
; Date:            Mar. 18, 2015
; Version:         0.2 (gtk3 too)
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_widget_set_tooltip_text(*widget.GtkWidget, text.p-utf8)
	gtk_tooltip_set_text(*tooltip, text.p-utf8)
	;gtk_tooltip_set_icon_from_stock(*tooltip, stock_id.p-utf8, size);    gtk2
	gtk_tooltip_set_icon_from_icon_name(*tooltip, stock_id.p-utf8, size); gtk3
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
	g_object_set(*object.GObject, property_name.p-utf8, *data, v= 0)
EndImport

; Object constants
#MainWin= 0
#Text1  = 0

#WinX   = 300
#WinY   = 200
#WinW   = 300
#WinH   = 100

Global.i gEvent, gQuit

ProcedureC Callback_WidgetCheckTooltip(*Widget.GtkWidget, mX, mY, key, *tooltip, Gadget); user_data= Gadget
	Protected Show= #False

	gtk_tooltip_set_text(*tooltip, "Tooltip with stock-icon!" + #LF$ + "And a second line.")
	;gtk_tooltip_set_icon_from_stock(*tooltip, "gtk-info", #GTK_ICON_SIZE_MENU); gtk2
	gtk_tooltip_set_icon_from_icon_name (*tooltip, "dialog-information", #GTK_ICON_SIZE_MENU)
	Show= #True
	ProcedureReturn Show
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Add Tooltip with stockicon to gadgets", #PB_Window_SystemMenu)
	TextGadget(#Text1, 5, 10, 240, 25, "Mouseover shows tooltip with icon")

	gtk_widget_set_tooltip_text(GadgetID(#Text1), " ")
	g_signal_connect(GadgetID(#Text1), "query-tooltip", @Callback_WidgetCheckTooltip(), #Text1, #Null, #Null)
	g_object_set(gtk_settings_get_default_(), "gtk-tooltip-timeout", 400); ignored an gtk3.1
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 40
; FirstLine = 12
; Folding = -
; EnableUnicode
; EnableXP