﻿; Module/File:     Gadget_UseGTypeDefinition.pb
; Function:        Show appliance of property GValue-Definitions - Linux
; Author:          Omi
; Date:            Mar. 13, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_get_property(*object.GObject, property.p-utf8, *gval)
	g_object_set_property(*object.GObject, property.p-utf8, *gval)
EndImport

; Object constants
#MainWin= 0
#St1    = 0
#But1   = 1

#WinX= 300
#WinY= 200
#WinW= 200
#WinH= 200

Global.i gEvent, gQuit
Global   *gString.GtkWidget
Global   gval.GValue


Macro G_TYPE_MAKE_FUNDAMENTAL(x)
	((x) << 2)
EndMacro

;GType ...
#G_TYPE_INVALID  = G_TYPE_MAKE_FUNDAMENTAL(0)
#G_TYPE_NONE     = G_TYPE_MAKE_FUNDAMENTAL(1)
#G_TYPE_INTERFACE= G_TYPE_MAKE_FUNDAMENTAL(2)
#G_TYPE_CHAR     = G_TYPE_MAKE_FUNDAMENTAL(3)
#G_TYPE_UCHAR    = G_TYPE_MAKE_FUNDAMENTAL(4)
#G_TYPE_BOOLEAN  = G_TYPE_MAKE_FUNDAMENTAL(5)
#G_TYPE_INT      = G_TYPE_MAKE_FUNDAMENTAL(6)
#G_TYPE_UINT     = G_TYPE_MAKE_FUNDAMENTAL(7)
#G_TYPE_LONG     = G_TYPE_MAKE_FUNDAMENTAL(8)
#G_TYPE_ULONG    = G_TYPE_MAKE_FUNDAMENTAL(9)
#G_TYPE_INT64    = G_TYPE_MAKE_FUNDAMENTAL(10)
#G_TYPE_UINT64   = G_TYPE_MAKE_FUNDAMENTAL(11)
#G_TYPE_ENUM     = G_TYPE_MAKE_FUNDAMENTAL(12)
#G_TYPE_FLAGS    = G_TYPE_MAKE_FUNDAMENTAL(13)
#G_TYPE_FLOAT    = G_TYPE_MAKE_FUNDAMENTAL(14)
#G_TYPE_DOUBLE   = G_TYPE_MAKE_FUNDAMENTAL(15)
#G_TYPE_STRING   = G_TYPE_MAKE_FUNDAMENTAL(16)
#G_TYPE_POINTER  = G_TYPE_MAKE_FUNDAMENTAL(17)
#G_TYPE_BOXED    = G_TYPE_MAKE_FUNDAMENTAL(18)
#G_TYPE_PARAM    = G_TYPE_MAKE_FUNDAMENTAL(19)
#G_TYPE_OBJECT   = G_TYPE_MAKE_FUNDAMENTAL(20)
#G_TYPE_VARIANT  = G_TYPE_MAKE_FUNDAMENTAL(21)

If OpenWindow(#MainWin, 100, 120, #WinW, #WinH, "Property GType-Demo", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	StringGadget(#St1,  5, 2, 150, 25, "Too much text in the StringGadget to show all")
	ButtonGadget(#But1, 5, 30, 190, 26, "Set/Get some properties")
	
	*gString= GadgetID(#St1)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #But1
					;1. length ...
					g_value_init_(@gval, #G_TYPE_INT)
					g_object_get_property(*gString, "max-length", @gval); get max length, '0'= Max
					Debug "max length: " + Str(g_value_get_int_(@gval))
					g_value_set_int_(@gval, 10)
					g_object_set_property(*gString, "max-length", @gval); set max length
					Debug "max length to 10: "
					g_value_unset_(@gval)
					
					;2. frame ...
					g_value_init_(@gval, #G_TYPE_BOOLEAN)
					g_value_set_boolean_(@gval, #False)
					g_object_set_property(*gString, "has-frame", @gval);   no frame
					Debug "remove frame"
					
					g_value_unset_(@gval)
				EndIf
				
		EndSelect
		
	Until gQuit
	
EndIf
 
; IDE Options = PureBasic 5.41 LTS (Linux - x64)
; CursorPosition = 14
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/