﻿; Module/File:     Widget_SetEnable.pb
; Function:        Set a (PB-unknown) widget en-/disable - Linux
; Author:          Omi
; Date:            Oct. 13, 2014
; Version:         0.2
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_widget_is_sensitive(*widget.GtkWidget);  Parentabhängig
	gtk_widget_get_sensitive(*widget.GtkWidget); Widgetspezifische Einstellung (Bedienbarkeit jedoch parentabhängig)
	gtk_widget_set_sensitive(*widget.GtkWidget, sensitive); Widgetspezifische Einstellung (Bedienbarkeit jedoch parentabhängig)
	gtk_button_new_with_label(label.p-utf8)
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

; Object constants
#MainWin  = 0
#StatusBar= 0

#WinX     = 300
#WinY     = 200
#WinW     = 300
#WinH     = 200

Global.i gEvent, gQuit
Global *StatusBar
Global *SB_Button1.GtkWidget

ProcedureC Callback_ClickEvent(*Widget, *signal, user_data)
	If *widget = *SB_Button1
		Debug "New Statusbar-Button clicked"
		Debug *signal
	EndIf
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "set/get widget sensitivity", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	
	If CreateStatusBar(#StatusBar, WindowID(#MainWin))
		AddStatusBarField(150)
		StatusBarText(#StatusBar, 0, "StatusBar-Text")
		*StatusBar= StatusBarID(#StatusBar)
		
		;*** add a gtk-widget for the example ...
		*SB_Button1 = gtk_button_new_with_label("gtk-add button")
		gtk_button_set_relief_(*SB_Button1, #GTK_RELIEF_NORMAL)
		gtk_box_pack_start_(*StatusBar, *SB_Button1, #False, #False, 0)
		gtk_widget_show_(*SB_Button1)
		
		g_signal_connect(*SB_Button1, "clicked", @Callback_ClickEvent(), #GDK_BUTTON_PRESS)
	EndIf
	
	
	AddWindowTimer(#MainWin, 0, 1000)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Timer
				;*** the function ***
				gtk_widget_set_sensitive(*SB_Button1, gtk_widget_get_sensitive(*SB_Button1) !1);       convert widget-sensitivity
				;*** 
		EndSelect
		
	Until gQuit
EndIf

RemoveWindowTimer(#MainWin, 0)
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 27
; Folding = -
; EnableUnicode
; EnableXP