﻿; Module/File:     System_DefIconThemeContextList.pb
; Function:        List context names of default icon theme - Linux
; Author:          Omi
; Date:            Oct. 02, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Code for icons from Default icon theme

EnableExplicit

ImportC ""
	gtk_icon_theme_list_contexts(*icon_theme.GtkIconTheme)
EndImport


Global.i gEvent, gQuit

Procedure IconDefaultTheme_ListIconContext()
	Protected *gList.GList  = gtk_icon_theme_list_contexts(gtk_icon_theme_get_default_())
	Protected *gList0.GSList= *gList
	Protected *IconContext
	Protected n
	
	Debug "Available default icon theme - contextes:"
	Debug " ---"
	
	If *gList
		Repeat
			*IconContext= *gList\data
			Debug PeekS(*IconContext, -1, #PB_UTF8)
			*gList= *gList\next
			n+ 1
		Until *gList = 0
	EndIf
	Debug " ---"
	Debug Str(n) + " contexts found"
	
	If *gList0
		*gList= *gList0
		Repeat
			g_free_(*gList\data)
			*gList= *gList\next
		Until *gList = 0
		g_list_free_(*gList0)
	EndIf
	
EndProcedure


Procedure Create_WinMain()
	If OpenWindow(0, 300, 200, 500, 200, "List IconTheme contexts", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)

	EndIf
EndProcedure

Create_WinMain()


IconDefaultTheme_ListIconContext()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
			
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 52
; FirstLine = 22
; Folding = -
; EnableUnicode
; EnableXP