﻿; Module/File:     System_DefIconThemeExampleName.pb
; Function:        Shows an example name for default icon theme - Linux
; Author:          Omi
; Date:            Oct. 02, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Code for icons from Default icon theme

EnableExplicit

Global.i gEvent, gQuit


Procedure Create_WinMain()
	If OpenWindow(0, 300, 200, 500, 200, "ThemeIcon example name", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	EndIf
EndProcedure

Create_WinMain()

Debug "Example icon name for default system icon theme: " 
Debug PeekS(gtk_icon_theme_get_example_icon_name_(gtk_icon_theme_get_default_()), -1, #PB_UTF8)

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
			
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 16
; Folding = -
; EnableUnicode
; EnableXP