﻿; Module/File:     LIG_ColumnsCount2.pb
; Function:        Get number of columns in ListIconGadget - Linux gtk3
; Author:          Omi
; Date:            Sep. 05, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

ImportC ""
	gtk_tree_view_get_n_columns(*tree_view.GtkTreeView)
EndImport

EnableExplicit

; Object constants
#MainWin= 0
#LIG= 0

Global.i gEvent, gQuit

;- 
;- Example ...
Procedure CreateWindow_Main()
	Protected.l I, O

	If OpenWindow(#MainWin, 200, 200, 500, 400, "Num of LIG-columns [gtk3]", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
		ListIconGadget(#LIG, 5, 5, 480, 380, "column 0", 70, #PB_ListIcon_AlwaysShowSelection | #PB_ListIcon_GridLines)
		
		For O= 1 To 4
			AddGadgetColumn(#LIG, O, "column "+Str(O), 70)
		Next O
		For I= 0 To 19
			AddGadgetItem(#LIG, -1, Str(I)+".0")
		Next I
		
		For O= 1 To 4
			For I= 0 To 19
				If O< 3
					SetGadgetItemText(#LIG, I, Str(I)+"."+Str(O), O)
				Else
					SetGadgetItemText(#LIG, I, Str(19-I)+"."+Str(O), O)
				EndIf
			Next I
		Next O

	EndIf

EndProcedure

CreateWindow_Main()

Debug "columns: " + Str( gtk_tree_view_get_n_columns(GadgetID(#LIG)))

Repeat
	gEvent= WaitWindowEvent()

	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 20
; Folding = -
; EnableUnicode
; EnableXP