﻿; Module/File:     LV_SelectionsCount.pb
; Function:        Number of selected items (Multiselect too) - Linux
; Author:          Omi
; Date:            Jul. 16, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#LV= 0

#WinX= 200
#WinY= 200
#WinW= 300
#WinH= 400

Global.i gEvent, gQuit


;- Functions ...
Procedure.i LV_CountSelections(Gadget);                   LV: Anzahl selektierter Zeilen (= Items) holen (auch Multiselect) - same as LIG_CountSelections(Gadget)
	Protected *tSel.GtkTreeSelection
	
	*tSel= gtk_tree_view_get_selection_(GadgetID(Gadget))
	
	ProcedureReturn gtk_tree_selection_count_selected_rows_(*tSel)
EndProcedure

;- 
;- Example ...
Procedure CreateWindow_Main()
	Protected.i I, O

	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Count Selections", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
		ListViewGadget(#LV, 5, 5, 280, 380, #PB_ListView_MultiSelect);    Nur Einspalting

		For I= 1 To 30
			AddGadgetItem(#LV, -1, "Zeile " + Str(I)+" / Spalte 0")
		Next I
		For I= 1 To 30 Step 3
			SetGadgetItemState(#LV, I, 1)
		Next I
		
	EndIf

EndProcedure

CreateWindow_Main()

Debug "Selected Items: " + Str(LV_CountSelections(#LV))

Repeat
	gEvent= WaitWindowEvent()

	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 11
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/