﻿; converts ASCII-String to UTF8-Pointer. 
; Returns pointer to converted string which has to be freed after each use!


Global   *gMem;                                                 add to Globals if function is used

Procedure AsciiToUTF8(SAscii.s);                                converts Ascii to UTF8, Returns pointer to string, free *gMem after each use
	*gMem= AllocateMemory(StringByteLength(SAscii, #PB_UTF8) + 1);Mem for string in UTF8
	PokeS(*gMem, SAscii, -1,  #PB_UTF8);                          convert to UTF-8
	ProcedureReturn *gMem
EndProcedure

Sin.s = "Jäger, König, Müller, Groß"
;For Ascii-Mode ...
So1.s= PeekS(AsciiToUTF8(Sin), -1)
Debug So1
;For Both-Modes ...
So2.s= PeekS(AsciiToUTF8(Sin), -1, #PB_Ascii)
Debug So2

FreeMemory(*gMem);                                              Don't forget !!!
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 19
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/