﻿; Module/File:     Panel_RemovePlaceholderImageGtk3.pb
; Function:        Removes the placeholder image or set the size to '0' in gtk3 tabs (temporarily until it's fixed) - Linux gtk3
; Author:          Omi
; Date:            Jul. 09, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4x
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Workaround against too wide tabs and a text, displaced to the right!
;If no images are used in the tabs !!!

EnableExplicit

ImportC ""
	gtk_image_set_pixel_size(*image.GtkImage, pixel_size)
EndImport

; Object constants
#MainWin= 0

#Panel1 = 0

Global.i gEvent, gQuit
Global.i I, O, gRiders= 4
Global   *widget.GtkWidget, *hbox.GtkHBox
Global   *gList.GList


If OpenWindow(#MainWin, 300, 200, 400, 310, "gtk3 PanelGadget: empty tab-image fix", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	PanelGadget(#Panel1, 0, 30, 400, 270)
	For I=0 To gRiders- 1
		AddGadgetItem(#Panel1, -1, " Tab "+Str(I))
		TextGadget(#PB_Any, 5, 5, 200, 20, "Panel "+Str(I))
	Next I
	
	;comment out to see default behaviour ...
	;________________________________________
	gRiders= gtk_notebook_get_n_pages_(GadgetID(#Panel1))
	For i= 0 To gRiders- 1
		*widget= gtk_notebook_get_nth_page_(GadgetID(#Panel1), I);                   panel widget
		*hbox= gtk_notebook_get_tab_label_(GadgetID(#Panel1), *widget);              hbox from tab for panel
		If *hbox
			*gList= gtk_container_get_children_(*hbox)
			For O= 1 To g_list_length_(*gList)
				If PeekS(gtk_widget_get_name_(g_list_nth_data_(*gList, O-1)), -1, #PB_UTF8) = "GtkImage"
; set size to '0' ...
					;gtk_image_set_pixel_size(g_list_nth_data_(*gList, O-1), 0)
; OR remove image ...
					gtk_container_remove_(*hbox, g_list_nth_data_(*gList, O-1));         replace placeholder image
				EndIf
			Next O
		EndIf
	Next I
	;¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
	
EndIf

End  
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 34
; FirstLine = 30
; EnableUnicode
; EnableXP