﻿; Module/File:     StatusBar_AddLabel.pb
; Function:        Adds label to existing statusbar - Linux
; Author:          Omi/walker
; Date:            Sep. 14, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_label_new(str.p-utf8)
EndImport

; Object constants
#MainWin  = 0
#StatusBar = 0

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.i gEvent, gQuit
Global *StatusBar, *SB_Label1.GtkWidget

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Statusbar add label", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	
	If CreateStatusBar(#StatusBar, WindowID(#MainWin))
		AddStatusBarField(150)
		StatusBarText(#StatusBar, 0, "StatusBar-Text")
		*StatusBar= StatusBarID(#StatusBar)
		
		*SB_Label1 = gtk_label_new("add gtk-label")
		gtk_box_pack_start_(*StatusBar, *SB_Label1, #False, #False, 0)
		gtk_widget_show_(*SB_Label1)
		
		; no signal-connection -> displaywidget
	EndIf
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 5
; EnableUnicode
; EnableXP