﻿; Module/File:     EditField_Focusable.pb
; Function:        Choose StringGadgets focusablitily (editablity) - Linux
; Author:          Omi
; Date:            Nov. 11, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_widget_set_can_focus(*widget.GtkWidget, can_focus)
EndImport

; Object constants
#Win_Main = 0

#But1 = 0
#But2 = 1
#Edt1 = 2
#But3 = 3

Global.i gEvent, gQuit

If OpenWindow(#Win_Main, 0, 0, 400, 260, "StringGadget focus handling", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any,  5,   5, 390,  26, "Toggle StringGadget focusable. Switch focus with TAB.")
	ButtonGadget(#But1,  5,  28, 390,  36, "'On' for StringGadget not focusable! (! editable)", #PB_Button_Toggle)
	ButtonGadget(#But2, 15,  70, 370,  26, "focusable Button 2 (w/o function)")
	StringGadget(#Edt1, 15, 105, 370,  26, "Toggle focusable with 1. Button")
	ButtonGadget(#But3, 15, 140, 370,  26, "focusable Button 3 (w/o function)")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #But1
					;****
					gtk_widget_set_can_focus(GadgetID(#Edt1), GetGadgetState(#But1) ! 1)
					;****
				EndIf
				
		EndSelect
		
	Until gQuit
	
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x64)
; CursorPosition = 31
; EnableUnicode
; EnableXP