﻿; Module/File:     EditField_GetSelection.pb
; Function:        StringGadget: holt markierten Bereich mit UTF-8 - Linux
; Author:          Omi
; Date:            Oct. 14, 2014
; Version:         0.2
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

; Object constants
#MainWin= 0
#But   = 0
#String = 1

#WinX=300
#WinY=200
#WinW=250
#WinH=200

Global.i gEvent, gQuit, gCounter

;- Functions ...
ProcedureC Edit_Changed(*widget, signal, user_data)
; 	Debug signal
; 	Debug user_data
; Debug gCounter
; gCounter+ 1
EndProcedure


Procedure.s SelectedStringpart(Gadget)
	Protected start_pos, end_pos
	Protected *lMem
	If gtk_editable_get_selection_bounds_(GadgetID(Gadget), @start_pos, @end_pos)
		*lMem= gtk_editable_get_chars_(GadgetID(Gadget), start_pos, end_pos)
		ProcedureReturn PeekS(*lMem, -1, #PB_UTF8)
	Else
		ProcedureReturn ""
	EndIf
EndProcedure

;- Example ...

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "StringGadget-Cursorpos", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	
	StringGadget(#String, 10, 5, 230, 25, "Select a part of this string (UTF-8) ÄÖÜ")
	ButtonGadget(#But, 10, 35, 200, 25, "then push me")
	
	SetActiveGadget(#String)
	
	g_signal_connect(GadgetID(#String), "changed", @Edit_Changed(), 25)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget()= #but
					Debug SelectedStringpart(#String);        UTF8 in Ascii rückgewandelt
				EndIf
				
		EndSelect
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 5
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/