﻿; Module/File:     EditField_PwCapsWarnOff.pb
; Function:        StringGadget password mode, caps lock warning icon off/on- Linux gtk2/gtk3
; Author:          Omi
; Date:            June 27, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_set_property(*object.GObject, property.p-utf8, *gval)
EndImport

; Object constants
#Win_Main= 0
#Strg1  = 0
#Strg2  = 1

Global.i gEvent, gQuit
Global   gval.GValue
#G_TYPE_BOOLEAN= 20

If OpenWindow(#Win_Main, 300, 200, 300, 200, "Password capslock warning", #PB_Window_SystemMenu |#PB_Window_ScreenCentered)
	TextGadget(#PB_Any,  5,  5, 290, 22, "Password mode - try capslock on/off")
	StringGadget(#Strg1, 5, 30, 290, 26, "topsecret", #PB_String_Password);      caps lock warning is default ON
	TextGadget(#PB_Any,  5, 60, 290, 22, "Password mode - capslock warning always off")
	StringGadget(#Strg2, 5, 85, 290, 26, "topsecret", #PB_String_Password);       "
	
	g_value_init_(@gval, #G_TYPE_BOOLEAN)
	g_value_set_boolean_(@gval, #False);                                         #False= off/ #True= on
	g_object_set_property(GadgetID(#Strg2), "caps-lock-warning", @gval);         #Strg2 caps lock warning off
	g_value_unset_(@gval)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.41 LTS (Linux - x64)
; CursorPosition = 12
; EnableUnicode
; EnableXP