﻿; Module/File:     EditField_Set&GetMaxEntryLen.pb
; Function:        StringGadget - Set and get max. entry length, '0'= no max. - Linux gtk2/gtk3
; Author:          Omi
; Date:            Mar. 15, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#Sp1    = 0
#Strg1  = 1

Global.i gEvent, gQuit

If OpenWindow(#MainWin, 300, 200, 350, 100, "Max. entry length", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any, 5, 8, 270, 22, "Set max. length of StringGadget (0=max): ")
	SpinGadget(#Sp1, 280, 5, 46, 26, 0, 20, #PB_Spin_Numeric); | #PB_Spin_ReadOnly)
	StringGadget(#Strg1, 5, 35, 190, 26, "")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget()= #Sp1
					If EventType()= #PB_EventType_Down
						If gtk_entry_get_max_length_(GadgetID(#Strg1))= Len(GetGadgetText(#Strg1));  get
							Debug "String will be shortened immediately"
						EndIf
					EndIf
					
					If EventType()= #PB_EventType_Change
						gtk_entry_set_max_length_(GadgetID(#Strg1), Val(GetGadgetText(#Sp1)));       set
					EndIf
				EndIf
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x64)
; CursorPosition = 17
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/