﻿; Module/File:     EditField_SetFraction.pb
; Function:        Set a progress fraction as String background - Linux
; Author:          Omi
; Date:            Aug. 15, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
; Alignment: 0.0 = Left, 0.5 = Center, 1.0 = Right

EnableExplicit

ImportC ""
	gtk_entry_set_alignment(*entry.GtkEntry, xalign.f)
	gtk_entry_set_progress_fraction(*entry.GtkEntry, fraction.d)
EndImport

; Object constants
#MainWin= 0
#Strg1  = 0
#Strg2  = 1
#Strg3  = 2

#WinX= 300
#WinY= 200
#WinW= 200
#WinH= 200

Global.i gEvent, gQuit


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "string fraction", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	StringGadget(#Strg1, 5, 5, 150, 25, "1/3 fraction")
	StringGadget(#Strg2, 5, 35, 150, 25, "1/2 fraction")
	StringGadget(#Strg3, 5, 65, 150, 25, "2/3 fraction")
	TextGadget(#PB_Any, 5, 95, 190, 25, "This ist fraction, not selection!")
	
	gtk_entry_set_alignment(GadgetID(#Strg1), 0.5); center text
	gtk_entry_set_alignment(GadgetID(#Strg2), 0.5);  "
	gtk_entry_set_alignment(GadgetID(#Strg3), 0.5);  "
	
	gtk_entry_set_progress_fraction(GadgetID(#Strg1), 0.33)
	gtk_entry_set_progress_fraction(GadgetID(#Strg2), 0.5)
	gtk_entry_set_progress_fraction(GadgetID(#Strg3), 0.67)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x64)
; CursorPosition = 30
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/