﻿; Module/File:     System_GetDistribution.pb
; Function:        Get current linux distribution - Linux
; Author:          Omi
; Date:            Jan. 09, 2016
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

Global.i ProgrammId
Global.s Output= ""

ProgrammId = RunProgram("lsb_release", "-a", "", #PB_Program_Open | #PB_Program_Read)
If ProgrammId
	While ProgramRunning(ProgrammId)
		If AvailableProgramOutput(ProgrammId)
			Output + ReadProgramString(ProgrammId) + #LF$
		EndIf
	Wend
	CloseProgram(ProgrammId)
EndIf


Debug "Current Linux distribution & release: " + #LF$ + Output
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 22
; EnableUnicode
; EnableXP