﻿; Module/File:     System_GetGtkIconSizeList.pb
; Function:        Get a list of system Gtk icon sizes - Linux gtk3.10-
; Author:          Omi
; Date:            Dec. 20, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_get_property(*object.GObject, property.p-utf8, *gval)
EndImport

; Object constants
#MainWin  = 0

#Txt      = 0

#G_TYPE_STRING= 64

Global.i gEvent, gQuit

Procedure.s GtkIconSizeList()
	Protected   gVal.GValue
	Protected.s GtkIconSizeList
	
	g_value_init_(@gval, #G_TYPE_STRING)
	g_object_get_property(gtk_settings_get_default_(), "gtk-icon-sizes", @gval)
	If g_value_get_string_(@gval)
		GtkIconSizeList= PeekS(g_value_get_string_(@gval), -1, #PB_UTF8)
	EndIf
	g_value_unset_(@gval)
	ProcedureReturn GtkIconSizeList
EndProcedure

If OpenWindow(#MainWin, 300, 200, 300, 200, "Gtk Icon sizes", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Txt, 5, 5, 290, 60, ReplaceString(GtkIconSizeList(), ": ", #LF$))
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 32
; FirstLine = 14
; Folding = -
; EnableUnicode
; EnableXP