﻿; Module/File:     System_GetGtkVersions.pb
; Function:        Get the installed GtkVersions - Linux
; Author:          Omi
; Date:            Sep. 05, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

;gtk2 ...
ProgramID= RunProgram ("dpkg-query", "-W libgtk2.0-0", "", #PB_Program_Open | #PB_Program_Hide | #PB_Program_Read)
If ProgramID
	While ProgramRunning(ProgramID)
		If AvailableProgramOutput(ProgramID)
			Output$ + ReadProgramString(ProgramID)
		EndIf
	Wend
EndIf
Debug Output$;          libgtk2.0-0:i386	2.24.23-0ubuntu1.2

Output$= ""
ProgramID= RunProgram ("dpkg-query", "-W libgtk2.0-bin", "", #PB_Program_Open | #PB_Program_Hide | #PB_Program_Read)
If ProgramID
	While ProgramRunning(ProgramID)
		If AvailableProgramOutput(ProgramID)
			Output$ + ReadProgramString(ProgramID)
		EndIf
	Wend
EndIf
Debug Output$;          libgtk2.0-bin	2.24.23-0ubuntu1.2

;gtk3 ...
Output$= ""
ProgramID= RunProgram ("dpkg-query", "-W libgtk-3-0", "", #PB_Program_Open | #PB_Program_Hide | #PB_Program_Read)
If ProgramID
	While ProgramRunning(ProgramID)
		If AvailableProgramOutput(ProgramID)
			Output$ + ReadProgramString(ProgramID)
		EndIf
	Wend
EndIf
Debug Output$;          libgtk-3-0:i386	3.10.8-0ubuntu1.4

Output$= ""
ProgramID= RunProgram ("dpkg-query", "-W libgtk-3-bin", "", #PB_Program_Open | #PB_Program_Hide | #PB_Program_Read)
If ProgramID
	While ProgramRunning(ProgramID)
		If AvailableProgramOutput(ProgramID)
			Output$ + ReadProgramString(ProgramID)
		EndIf
	Wend
EndIf
Debug Output$;          libgtk-3-bin	3.10.8-0ubuntu1.4
; Get all installed packages with versions in terminal with: dpkg --get-selections | grep gtk
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 3
; EnableUnicode
; EnableXP