﻿; Module/File:     System_GetProcessList.pb
; Function:        Get List of Processes, div. modes - Linux
; Author:          Omi
; Date:            Dec. 13, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
; intended to improve in future

Global.i ProgramID
Global.s ProgramOutput
;examples ...
;ProgramID = RunProgram("ps", "", #DQUOTE$+"aux | less"+#DQUOTE$, #PB_Program_Open | #PB_Program_Read)
;
;ProgramID = RunProgram("ps", "ax", "", #PB_Program_Open | #PB_Program_Read); alle BSD-Syntax
;ProgramID = RunProgram("ps", "-e", "", #PB_Program_Open | #PB_Program_Read); alle Standard-Syntax

;ProgramID = RunProgram("pstree", "", "", #PB_Program_Open | #PB_Program_Read); Treeview
;ProgramID = RunProgram("ps", "axjf", "", #PB_Program_Open | #PB_Program_Read);   "

;still problems ...
;ProgramID = RunProgram("ps", "-u", #DQUOTE$+"1000"+#DQUOTE$, #PB_Program_Open | #PB_Program_Read)
;ProgramID = RunProgram("ps", "-u", #DQUOTE$+"charly-xubuntu"+#DQUOTE$, #PB_Program_Open | #PB_Program_Read)
;ProgramID = RunProgram("ps", "x -lf", #DQUOTE$+"charly-xubuntu"+#DQUOTE$, #PB_Program_Open | #PB_Program_Read)
Global ProgramID = RunProgram("ps", "x -lf", "", #PB_Program_Open | #PB_Program_Read);        current user


If ProgramID
  While ProgramRunning(ProgramID)
    If AvailableProgramOutput(ProgramID)
      ProgramOutput + ReadProgramString(ProgramID) + #CR$
    EndIf
  Wend
 
  CloseProgram(ProgramID)

  Debug ProgramOutput
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; EnableUnicode
; EnableXP