﻿; Module/File:     System_GetUsersOfGroupname.pb
; Function:        Shows all users of groupname - Linux
; Author:          Omi
; Date:            Aug. 02, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;'members' must be installed: sudo apt-get install members

Global.s gMembersOfGroup

Global.i I, ProgramID= RunProgram("members", "-a cdrom", "", #PB_Program_Read | #PB_Program_Open)

If ProgramID
	While ProgramRunning(ProgramID)
		If AvailableProgramOutput(ProgramID)
			gMembersOfGroup= ReadProgramString(ProgramID)
		EndIf
	Wend
	
	For I= 1 To CountString(gMembersOfGroup, " ")+ 1
		Debug StringField(gMembersOfGroup, I, " ")
	Next I
	CloseProgram(ProgramID)
Else
	Debug "'members' is not installed! Use 'sudo apt-get install members'"
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 13
; EnableUnicode
; EnableXP