﻿; Module/File:     System_GroupInfo.pb
; Function:        Shows Group-Infos - Linux
; Author:          Progi1984 / Omi
; Date:            Dec. 19, 2014
; Version:         0.2, 64-Bit-Prob. solved
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

Structure GROUP
	gr_name.s      ; group name
	gr_passwd.s    ; group password
	gr_gid.i       ; group id,      prev. .l
	gr_mem.i       ; group members, prev. .l
EndStructure

Global.i gGID= getgid_();                                                 Choose GroupID !!! or getegid_()
Global.i gGmembers
Global   *InfosGroupMem = AllocateMemory(SizeOf(GROUP))
Global   InfosGroup.GROUP

Debug "GROUP ..."
*InfosGroupMem = getgrgid_(gGID);                   GroupID, group file entry
If *InfosGroupMem
	CopyMemory(*InfosGroupMem, @InfosGroup, SizeOf(GROUP))
	Debug "GRP_NAME     : " + PeekS(@InfosGroup\gr_name, -1, #PB_Ascii);     group name, read as ascii
	Debug "GRP_PASSWORD : " + PeekS(@InfosGroup\gr_passwd, -1, #PB_Ascii);   group password
	Debug "GRP_ID       : " + Str(InfosGroup\gr_gid);                        group id
	gGmembers= PeekI(InfosGroup\gr_mem)
	If gGmembers
		Debug "GRP_MEMBERS  : " + PeekS(gGmembers, -1, #PB_Ascii)
	Else
		Debug "GRP_MEMBERS  : "
	EndIf
Else
	Debug "GROUP non-existing"
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 10
; EnableUnicode
; EnableXP