﻿; Module/File:     TG_AccelGadgetWithMnemonic.pb
; Function:        TextGadget-Mnemonic to activate other gadgets - Linux
; Author:          Omi
; Date:            Mar. 22, 2015
; Version:         0.2
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_label_set_line_wrap_mode(*label.GtkLabel, wrap_mode)
	gtk_label_set_text_with_mnemonic(*label.GtkLabel, str.p-utf8)
EndImport

Enumeration PangoWrapMode
	#PANGO_WRAP_WORD
	#PANGO_WRAP_CHAR
	#PANGO_WRAP_WORD_CHAR
EndEnumeration

; Object constants
#MainWin= 0
#Text1  = 0
#But1   = 1 

#WinX=300
#WinY=200
#WinW=250
#WinH=200

Global.i gEvent, gQuit


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Accel Gadget w. label-mnemonic", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 5, 240, 36, "", #PB_Text_Border)
	ButtonGadget(#But1, 5, 46, 240, 26, "Accelerated w. label-mnemonic [Alt][s]")
	
	gtk_label_set_text_with_mnemonic(GadgetID(#Text1), "A text with _shortcut. [Alt][s] calls the button.")
	gtk_label_set_mnemonic_widget_(GadgetID(#Text1), GadgetID(#But1))
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 10
; EnableUnicode
; EnableXP