﻿; Module/File:     TG_LabelAddLink.pb
; Function:        Add link in TextGadget - Linux
; Author:          Omi
; Date:            Dec. 29, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
	gtk_label_set_markup(*label.GtkWidget, markup.p-utf8)
EndImport

; Object constants
#MainWin= 0
#Text1   = 0
#Text2   = 1
#Text3   = 2
#Text4   = 3


#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.i gEvent, gQuit

ProcedureC Callback_Bing(*gadget, *uri, user_data)
	Debug "Ping"
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "TextGadget - with link ", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 5, 290, 35, "Chabba.de")
	gtk_label_set_markup(GadgetID(#Text1), "My homepage can be reached under <a href=" + #DQUOTE$ + "http://www.chabba.de/" + #DQUOTE$ + ">chabba.de</a>.")
	gtk_label_set_use_markup_(GadgetID(#Text1), #True)
	g_signal_connect(GadgetID(#Text1), "activate-link", @Callback_Bing(), 0)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 5
; Folding = -
; EnableUnicode
; EnableXP