﻿; Module/File:     TG_SetAngle.pb
; Function:        TextGadget, rotation - Linux > gtk2.6
; Author:          Omi + edel's help
; Date:            Juli 26, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_label_set_angle(*label.GtkLabel, angle.d)
EndImport

; Object constants
#MainWin= 0
#Text1   = 0
#Text2   = 1
#Text3   = 2
#Text4   = 3

#WinX=300
#WinY=200
#WinW=250
#WinH=200

Global.i gEvent, gQuit

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "TextGadget - with angle", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 5, 80, 20, "Std. Text", #PB_Text_Border)
	TextGadget(#Text2, 5, 30, 20, 80, "Text 90°", #PB_Text_Border);    no Basic-alignment possible
	 gtk_label_set_line_wrap_(GadgetID(#Text2), #False);               must be off for 'angle'-use, see Gtk-Doku
	 gtk_label_set_angle(GadgetID(#Text2), 90.0)
	TextGadget(#Text3, 30, 30, 20, 80, "Text 270°", #PB_Text_Border)
	 gtk_label_set_line_wrap_(GadgetID(#Text3), #False)
	 gtk_label_set_angle(GadgetID(#Text3), 270.0)
	TextGadget(#Text4, 5, 120, 80, 20, "Text 180°", #PB_Text_Border)
	 gtk_label_set_line_wrap_(GadgetID(#Text4), #False)
	 gtk_label_set_angle(GadgetID(#Text4), 180.0)
	 
	 
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 8
; EnableUnicode
; EnableXP
; Executable = TG_SetAngle_
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/