﻿; Module/File:     TV_AddIndention.pb
; Function:        TreeGadget: (& ExplorerGadget) additional Indention on childs - Linux gtk2/gtk3
; Author:          Omi
; Date:            Juli 19, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_tree_view_get_level_indentation(*tree_view.GtkTreeView)
	gtk_tree_view_set_level_indentation(*tree_view.GtkTreeView, indentation)
EndImport

; Object constants
#MainWin= 0
#TG1= 0
#SG1= 1

#WinX= 200
#WinY= 200
#WinW= 450
#WinH= 330

Global.i gEvent, gQuit


Procedure ChangeIndentation(Gadget)
	Debug "iter-indention pre : " + Str(gtk_tree_view_get_level_indentation(GadgetID(Gadget)))
	gtk_tree_view_set_level_indentation(GadgetID(Gadget), GetGadgetState(#SG1));  additional indention on children
	Debug "iter-indention post: " + Str(gtk_tree_view_get_level_indentation(GadgetID(Gadget)))
	Debug ""
EndProcedure

Procedure CreateWindow_Main()
	Protected.i I
	
	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Explorer&Tree - item-indention", #PB_Window_SystemMenu)
		TreeGadget(#TG1, 10, 30, 430, 280)
		TextGadget(#PB_Any, 5, 8, 140, 20, "additional indentation: ", #PB_Text_Right)
		SpinGadget(#SG1, 145, 1, 70, 25, 0, 20, #PB_Spin_Numeric | #PB_Spin_ReadOnly)
		
		For I = 0 To 10
			AddGadgetItem (#TG1, -1, "Normal Item "+Str(I), 0, 0)
			AddGadgetItem (#TG1, -1, "Node "+Str(I), 0, 0)
			AddGadgetItem(#TG1, -1, "Sub-Item 1", 0, 1)
			AddGadgetItem(#TG1, -1, "Sub-Item 2", 0, 1)
			AddGadgetItem(#TG1, -1, "Sub-Item 3", 0, 1)
			AddGadgetItem(#TG1, -1, "Sub-Item 4", 0, 1)
			AddGadgetItem (#TG1, -1, "File "+Str(#TG1), 0, 0)
		Next I
		gtk_tree_view_expand_all_(GadgetID(#TG1))
	EndIf
EndProcedure


CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #SG1
					If EventType()= #PB_EventType_Change
						ChangeIndentation(#TG1)
					EndIf
			EndSelect
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 27
; FirstLine = 15
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/