﻿; Module/File:     TV_Expand&CollapseHover.pb
; Function:        TreeGadget: Expandieren on MouseOver - Linux gtk2/gtk3
; Author:          Omi
; Date:            Juli 25, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_tree_view_set_hover_expand( *tree_view.GtkTreeView, gboolean)
EndImport

; Object constants
#MainWin= 0
#LG1= 0
#LG2= 1

#WinX= 200
#WinY= 200
#WinW= 500
#WinH= 330

Global.i gEvent, gQuit

Procedure CreateWindow_Main()
	Protected.i I, O

	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "expand on mouseover", #PB_Window_SystemMenu)
		TreeGadget(0, 10, 30, 230, 280);                                            TreeGadget Standard
		TreeGadget(1, 250, 30, 230, 280, #PB_Tree_CheckBoxes | #PB_Tree_NoLines);   TreeGadget mit Checkboxen + ohne Linien
		TextGadget(#PB_Any, 10, 5, 230, 20, "nodes opens/closes on mouseover ...")
		TextGadget(#PB_Any, 250, 5, 230, 20, "no reaction on mouseover ...")
		
		For I = 0 To 1
			For O = 0 To 10
				AddGadgetItem (I, -1, "Normal Item "+Str(O), 0, 0)
				AddGadgetItem (I, -1, "Node "+Str(O), 0, 0)
				AddGadgetItem(I, -1, "Sub-Item 1", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 2", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 3", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 4", 0, 1)
				AddGadgetItem (I, -1, "File "+Str(O), 0, 0)
			Next O
		Next I
		gtk_tree_view_set_hover_expand(GadgetID(0), #True)
		
	EndIf
EndProcedure

CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()

	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 1
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/