﻿; Module/File:     Window_GetGtkType.pb
; Function:        Get GtkType of window - Linux
; Author:          Omi
; Date:            Nov. 03, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_window_get_window_type(*window.GtkWindow)
EndImport

;GtkWindowType:
; #GTK_WINDOW_TOPLEVEL= 0
; #GTK_WINDOW_POPUP   = 1

; Object constants
#MainWin  = 0
#But1 = 0

#WinX=300
#WinY=200
#WinW=200
#WinH=200

Global.i gEvent, gQuit


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Test", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 100, 26, "gtktype")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Gadget
				If EventGadget()= #But1
					Debug gtk_window_get_window_type(WindowID(#MainWin))
				EndIf
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 5
; EnableUnicode
; EnableXP