﻿; Module/File:     Window_SetIcon1.pb
; Function:        Sets Window-Icon, runtime load - Linux gtk2/gtk3
; Author:          Omi
; Date:            Oct. 31, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;depends on distribution

EnableExplicit

ImportC "" 
	gtk_window_set_icon_from_file(*window.GtkWindow, filename.p-utf8, *err)
EndImport

;UsePNGImageDecoder()

; Object constants
#MainWin= 0

#AppImage = 0

#WinX=300
#WinY=200
#WinW=300
#WinH=300

Global.i gEvent, gQuit
Global *err

OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Sets window icon", #PB_Window_SizeGadget)

;change to existing 48x48-icon
gtk_window_set_icon_from_file(WindowID(#MainWin), "/usr/share/icons/default.kde4/48x48/apps/preferences-desktop-screensaver.png", @*err);   change to existing 48x48-icon

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit

End
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 34
; EnableUnicode
; EnableXP