﻿; Module/File:     Window_SetKeepAboveAll.pb
; Function:        Keep an Window above all others - Linux gtk2/gtk3
; Author:          Omi
; Date:            Feb. 21, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Function depends on window-manager!
;see PB-Version StickyWindow()
;for keeping above an own Window set optional PB-Version ParentWindowID-Parameter or API Window_SetKeepAboveOwn.pb

EnableExplicit

; Object constants
#MainWin  = 0
#SecWin   = 1

#Txt1     = 0
#But1     = 1


#WinX=300
#WinY=200
#WinW=200
#WinH=200

Global.i gEvent, gWindow, gQuit

Procedure WindowKeepAboveAll(Window, KeepAbove)
	gtk_window_set_keep_above_(WindowID(Window), KeepAbove)
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Main Window", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Txt1, 5, 5, 190, 42, "Function depends on window-manager!")
	OpenWindow(#SecWin, #WinX, #WinY, #WinW- 20, #WinH- 20, "2. Window", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 100, 26, "Keep above all", #PB_Button_Toggle)
EndIf
	
Repeat
	gEvent = WaitWindowEvent()
	gWindow= EventWindow()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
		Case #PB_Event_Gadget
			If gWindow= #SecWin
				If EventGadget()= #But1
					WindowKeepAboveAll(#SecWin, GetGadgetState(#But1))
				EndIf
					
			EndIf
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 1
; Folding = -
; EnableUnicode
; EnableXP