﻿; Module/File:     Window_SetShaded.pb
; Function:        Set window with title shaded or unshaded (needs wmctrl) - Linux
; Author:          Omi
; Date:            Mar. 31, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

; depends on window manager
; wmctrl must be installed !!!
; install: sudo apt-get install wmctrl

EnableExplicit

Global.i gProgrammId
Global.s gWinTitle= "Window_SetShaded";  current window title

Delay(1000)

gProgrammId = RunProgram("wmctrl", "-r " + #DQUOTE$ + gWinTitle + #DQUOTE$ + " -b add,shaded", "", #PB_Program_Hide);   shaded/smaller

Delay(2000)

gProgrammId = RunProgram("wmctrl", "-r " + #DQUOTE$ + gWinTitle + #DQUOTE$ + " -b remove,shaded", "", #PB_Program_Hide); unshaded/unsmallered
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 17
; EnableUnicode
; EnableXP