﻿; Module/File:     Window_SetTitleGtk.pb
; Function:        Set Window title with gtk - Linux
; Author:          Omi
; Date:            Jan. 10, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
; could be usefull to set window-title for MessageBoxes etc.

EnableExplicit

ImportC ""
	gtk_window_set_title(*window.GtkWindow, title.p-utf8)
EndImport

; Object constants
#MainWin  = 0
#Text1    = 0

#WinX=300
#WinY=200
#WinW=200
#WinH=200

Global.i gEvent, gQuit



If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "---", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 5, 190, 60, "Could be usefull to set window-title for MessageBoxes etc.")
	
	gtk_window_set_title(WindowID(#MainWin), "Title set with gtk")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Gadget

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 5
; EnableUnicode
; EnableXP