﻿; Module/File:     Window_WithoutCloser.pb
; Function:        Window without closer button - Linux
; Author:          Shardik
; Date:            Nov. 03, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;depends on distribution

EnableExplicit

#MainWin= 0
#SecWind= 1

Global.i gEvent

CompilerIf #PB_Compiler_OS = #PB_OS_Linux
	Import ""
		gtk_window_set_deletable(*window.GtkWindow, setting.i)
	EndImport
CompilerEndIf

If OpenWindow(#MainWin, 0, 0, 320, 240, "Window 1", #PB_Window_ScreenCentered | #PB_Window_SystemMenu)
	If OpenWindow(#SecWind, 0, 0, 240, 120, "Window 2", #PB_Window_WindowCentered, WindowID(#MainWin))
		DisableWindow(#MainWin, 1)
		
		CompilerIf #PB_Compiler_OS = #PB_OS_Linux
			gtk_window_set_deletable(WindowID(#SecWind), #False)
			gtk_widget_show_(WindowID(#SecWind))
		CompilerEndIf
		
		SetActiveWindow(#SecWind)
		ButtonGadget(0, 60, 40, 120, 25, "Close Window 2")
	EndIf
	
	Repeat
		gEvent = WaitWindowEvent()
		Select gEvent
			Case #PB_Event_Gadget
				Select EventGadget()
					Case 0 : CloseWindow(#SecWind) : DisableWindow(#MainWin, 0) : SetActiveWindow(#MainWin)
				EndSelect
		EndSelect
	Until gEvent= #PB_Event_CloseWindow
EndIf

End
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 9
; FirstLine = 1
; Folding = -
; EnableUnicode
; EnableXP