﻿; Module/File:     Button_AddArrow.pb
; Function:        Add a down-arrow - Linux
; Author:          Omi
; Date:            Sep. 14, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

#MainWin= 0

Enumeration
	#myButton
	#myDropDown1
	#myDropDown2
	#myMenu
	#myMenuItem1
	#myMenuItem2
	#myMenuItem3
EndEnumeration

Global.i gEvent

Procedure ButtonArrowGadget(Gadget, x, y, w, h, ImageId, Flags= 0)
	Protected.i I
	Protected.i ImgResult, GadgetResult
	ImgResult= CreateImage(#PB_Any, 16, 16, 32, #PB_Image_Transparent)
	If StartDrawing(ImageOutput(ImgResult))
		DrawingMode(#PB_2DDrawing_AllChannels)
		If Flags = 0;                                          empty
			LineXY (3, 5, 7, 9, RGBA(85,85,85,255))
			LineXY (7, 9, 11, 5, RGBA(85,85,85,255))
			LineXY (3, 6, 7, 10, RGBA(85,85,85,255))
			LineXY (7, 10, 11, 6, RGBA(85,85,85,255))
		ElseIf Flags = 1;                                      filled
			For I = 0 To 5
				Line(I+3, I+5, 10-I*2, 1, RGBA(85,85,85,255))
			Next I
		EndIf
		StopDrawing()
	EndIf
	GadgetResult= ButtonImageGadget(Gadget, x, y, w, h, ImageID(ImgResult))
	If Gadget = #PB_Any
		ProcedureReturn GadgetResult
	Else
		ProcedureReturn Gadget
	EndIf
EndProcedure


OpenWindow(#MainWin, #PB_Ignore, #PB_Ignore, 150, 100, "")
ButtonGadget(#myButton, 5, 5, 70, 26, "button")
ButtonArrowGadget(#myDropDown1, 75, 5, 26, 26, #myDropDown1)
ButtonArrowGadget(#myDropDown2, 101, 5, 26, 26, #myDropDown2, 1)
CreatePopupMenu(#myMenu)
MenuItem(#myMenuItem1, "Open")
MenuItem(#myMenuItem2, "Save")
MenuItem(#myMenuItem3, "Quit")

Repeat
	
	gEvent = WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #myDropDown1
					DisplayPopupMenu(#myMenu, WindowID(#MainWin))
				Case #myDropDown2
					DisplayPopupMenu(#myMenu, WindowID(#MainWin))
			EndSelect
	EndSelect
	
Until gEvent = #PB_Event_CloseWindow
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 55
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/