﻿; Module/File:     Button_AsStockButton.pb
; Function:        Button as stock button - Linux gtk2, deprecated gtk3.1+
; Author:          Omi
; Date:            Oct. 06, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;see Devhelp - Stock Items

EnableExplicit

ImportC ""
	gtk_button_set_label(*button.GtkButton, label.p-utf8)
EndImport

#MainWin= 0

Enumeration
	#myButton1
EndEnumeration

Global.i gEvent, gQuit
Global.i Button1, Button2, Button3

Procedure.i ButtonStockGadget(Gadget, x, y, w, h, s.s)
	Protected.i Result= ButtonGadget(Gadget, x, y, w, h, "")
	If Gadget = #PB_Any : Gadget= Result : EndIf
	gtk_button_set_use_stock_(GadgetID(Gadget), #True)
	gtk_button_set_label(GadgetID(Gadget), s)
	ProcedureReturn Gadget
EndProcedure

If OpenWindow(#MainWin, #PB_Ignore, #PB_Ignore, 250, 130, "ButtonGadget as stock button", #PB_Window_ScreenCentered)
	Button1= ButtonStockGadget(#myButton1, 50, 5, 150, 36, "gtk-ok");     is stock-term
	Debug Button1
	
	Button2= ButtonStockGadget(#PB_Any, 50, 45, 150, 36, "gtk-cancel");   is stock-term
	Debug Button2
	
	Button3= ButtonStockGadget(#PB_Any, 50, 85, 150, 36, "MyButton");     no stock-term
	Debug Button3
	
Else
	End
EndIf

Repeat
	gEvent = WaitWindowEvent()
	If EventWindow() = #MainWin
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
	EndIf
Until gQuit

End
; IDE Options = PureBasic 5.31 (Linux - x86)
; CursorPosition = 32
; Folding = -
; EnableUnicode
; EnableXP