﻿; Module/File:     Button_ImagesIsActivated.pb
; Function:        Get system setting wheather Button images are shown by default - Linux
; Author:          Omi
; Date:            Sep. 22, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_get_property(*object.GObject, property.p-utf8, *gval)
EndImport

Global.i gEvent, gQuit
#G_TYPE_BOOLEAN  = 20

Procedure ButtonImages_isActivated()
	Protected   gVal.GValue
	Protected.i Ret
	
	g_value_init_(@gval, #G_TYPE_BOOLEAN)
	g_object_get_property(gtk_settings_get_default_(), "gtk-button-images", @gval)
	Ret= g_value_get_boolean_(@gval)
	g_value_unset_(@gval)
 ProcedureReturn Ret
EndProcedure

If OpenWindow(0, 300, 200, 500, 200, "Check ButtonImagesState", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(0, 5, 5, 490, 65, "")
	If ButtonImages_isActivated()
		SetGadgetText(0, "ButtonImages are shown on this system")
	Else
		SetGadgetText(0, "ButtonImages aren't shown on this system. Use 'Button_ShowIconsOnSys.pb' -ButtonImages_SystemActivate(Show) ")
	EndIf
	
	Repeat
		If WaitWindowEvent() = #PB_Event_CloseWindow
			gQuit= #True
		EndIf
	Until gQuit
EndIf
; IDE Options = PureBasic 5.41 LTS (Linux - x64)
; CursorPosition = 12
; Folding = -
; EnableUnicode
; EnableXP