﻿; Module/File:     Button_LinkButton.pb
; Function:        Add LinkButton - Linux
; Author:          Omi
; Date:            Dec. 14, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_link_button_new_with_label(uri.p-utf8, label.p-utf8)
EndImport

; Object constants
#MainWin= 0

#Text1  = 0

#WinX   = 300
#WinY   = 200
#WinW   = 300
#WinH   = 100

Global.i gEvent, gQuit
Global gLink


Procedure.i LinkButtonGadget(Gadget, x, y, w, h, uri.s, label.s)
	Protected.i Container= ContainerGadget(Gadget, x, y, w, h, #PB_Container_BorderLess)
	Protected   *lbutton = gtk_link_button_new_with_label(uri, label)
	If Gadget <> #PB_Any : Container= Gadget : EndIf
	gtk_container_add_(GadgetID(Container), *lbutton)
	gtk_widget_show_(*lbutton)
	CloseGadgetList()
	ProcedureReturn *lbutton
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Add Link-Button", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 10, 100, 22, "open webpage: ")
	gLink= LinkButtonGadget(#PB_Any, 95, 4, 200, 32, "http://www.chabba.de/", "chabba.de")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.31 (Linux - x86)
; CursorPosition = 14
; Folding = -
; EnableUnicode
; EnableXP