﻿; Module/File:     Button_TextAlign.pb
; Function:        Button-Text with alignment - Linux gtk2.4+
; Author:          Omi
; Date:            July 26, 2014
; Version:         0.2
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Alignments hor. & vert.
;left or top: 0.0; center (hor. or vert.): 0.5; right or bottom: 1.0

EnableExplicit

ImportC ""
	gtk_button_set_alignment(*button.GtkButton, xalign.f, yalign.f)
EndImport

#MainWin= 0

Enumeration
	#myButton1
	#myButton2
	#myButton3
	#myButton4
EndEnumeration

Global.i gEvent, gQuit

If OpenWindow(#MainWin, #PB_Ignore, #PB_Ignore, 250, 250, "Button w. text-alignment")

	ButtonGadget(#myButton1, 5, 5, 200, 50, "Button left & top", #PB_Button_Right);   PB_Flags will be overwritten
	ButtonGadget(#myButton2, 5, 60, 200, 50, "Button right & top")
	ButtonGadget(#myButton3, 5, 115, 200, 50, "Button center & bottom")
	ButtonGadget(#myButton4, 5, 170, 200, 50, "Button right & center")
	
	;gtk_button_set_alignment_(GadgetID(#myButton2), 1.0, 0.0);  PB-Version buggy. Always left/top. 'float'-parameter-problem
	gtk_button_set_alignment(GadgetID(#myButton1), 0.0, 0.0);    use imported version. PB: gtk_button_set_alignment_(*button.GtkButton, xalign.f, yalign.f) with 'float'-parameter-problem
	gtk_button_set_alignment(GadgetID(#myButton2), 1.0, 0.0)
	gtk_button_set_alignment(GadgetID(#myButton3), 0.5, 1.0)
	gtk_button_set_alignment(GadgetID(#myButton4), 1.0, 0.5)
	
Else
	End
EndIf

Repeat
	gEvent= WaitWindowEvent()
	If EventWindow() = #MainWin
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
	EndIf
Until gQuit

End
; IDE Options = PureBasic 5.31 (Linux - x86)
; CursorPosition = 1
; FirstLine = 1
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/