﻿; Module/File:     CheckBox_readonly.pb
; Function:        Set an CheckBoxGadget as readonly (not user changeable) - Linux
; Author:          Omi
; Date:            Oct. 16, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4x
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

; Object constants
#Win_Main  = 0

Enumeration
	#CbG1
	#CbG2
	#CbG3
	#CbG4
EndEnumeration

Global.i gEvent,  gQuit

ProcedureC Callback_CheckboxClickBlocked(*widget.GtkWidget, *Event.GdkEventButton, user_data)
	If user_data >= #CbG1 And user_data <= #CbG3
			If *Event\type = #GDK_BUTTON_PRESS
				Debug "No change from user allowed for CheckboxGadget " + Str(user_data)
				ProcedureReturn #True;                                                 no further action
			EndIf
	EndIf
EndProcedure

Procedure Create_WinMain()
	If OpenWindow(#Win_Main, 300, 200, 300, 120, "CheckBoxGadget (readonly)", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
		CheckBoxGadget(#CbG1,  5,  5, 200, 26, "Select me")
		CheckBoxGadget(#CbG2,  5, 30, 200, 26, "or me")
		CheckBoxGadget(#CbG3,  5, 55, 200, 26, "or maybe me")
		CheckBoxGadget(#CbG4,  5, 90, 200, 26, "I'm the one")
		
		g_signal_connect(GadgetID(#CbG1), "button-press-event", @Callback_CheckboxClickBlocked(), #CbG1)
		g_signal_connect(GadgetID(#CbG2), "button-press-event", @Callback_CheckboxClickBlocked(), #CbG2)
		g_signal_connect(GadgetID(#CbG3), "button-press-event", @Callback_CheckboxClickBlocked(), #CbG3)
		
		SetGadgetState(#CbG1, #PB_Checkbox_Checked)
		SetGadgetState(#CbG3, #PB_Checkbox_Checked)
	EndIf
EndProcedure

Create_WinMain()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 46
; FirstLine = 31
; Folding = -
; EnableUnicode
; EnableXP