﻿; Module/File:     Editor_OverwriteOn&Off.pb
; Function:        Switch 'Overwrite Mode' on / off - Linux
; Author:          Omi
; Date:            Juli 20, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#Bt1    = 0
#Edt1   = 1

#WinX= 300
#WinY= 200
#WinW= 300
#WinH= 200

Global.i gEvent, gQuit
Global.s S= "Dies ist ein mehrzeiliger Text in dem das" + #LF$ + "Ein- und Auschalten der Cursordarstellung" + #LF$ + "innerhalb eines EditorGadgets per Toggle-" + #LF$ + 
            "Button gezeigt wird, da die Darstellung" + #LF$ + "eines Cursors innerhalb eines'read-only'-" + #LF$ + "Textes wenig Sinn macht!"


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget - Overwrite On / Off", #PB_Window_SystemMenu)
	ButtonGadget(#Bt1, 5, 3, 100, 25, "Overwrite On", #PB_Button_Toggle)
	EditorGadget(#Edt1, 5, 30, #WinW-10, #WinH-35, #PB_Editor_WordWrap)
	AddGadgetItem(#Edt1, -1, S)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				Select EventGadget()
					Case #Bt1
						If GetGadgetState(#Bt1)
							;****
							gtk_text_view_set_overwrite_(GadgetID(#Edt1), #True)
							;****
						Else
							;****
							gtk_text_view_set_overwrite_(GadgetID(#Edt1), #False)
							;****
						EndIf
						
				EndSelect
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 30
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/