﻿; Module/File:     Editor_Scroll2Bottomline2.pb
; Function:        Scrolls to last line, methode 2 w. marker - Linux gtk2/gtk3
; Author:          dhouston (Omi)
; Date:            Mar. 30, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_text_buffer_create_mark(*buffer.GtkTextBuffer, mark_name.p-utf8, *where.GtkTextIter, left_gravity)
	gtk_text_buffer_delete_mark_by_name(*buffer, mark_name.p-utf8)
EndImport

; Object constants
#MainWin= 0
#Edt1   = 0
#Bt1    = 1

#WinX= 300
#WinY= 200
#WinW= 300
#WinH= 200

Global.i gEvent, gQuit
Global.s EditString1= "PureBasic... " + #LF$ + #LF$ + "ist eine 'Hochsprachen' Programmiersprache, die auf den bekannten 'BASIC'-Regeln basiert. " + 
                      "Sie ist größtenteils kompatibel mit jedem anderen 'BASIC'-Compiler, egal ob für das Amiga- oder PC-Format. " + 
                      "Das Erlernen von PureBasic ist sehr leicht! PureBasic ist für Anfänger genauso wie für Experten geschaffen worden. " + #LF$ +
                      "Die Übersetzungsgeschwindigkeit ist wirklich schnell. Diese Software wurde für das Windows- Operating-System entwickelt. " +
                      "Wir haben eine Menge Anstrengungen in ihre Realisierung gesetzt, um eine schnelle, zuverlässige und systemfreundliche Sprache zu produzieren."

Procedure Editor_Scroll2Bottom(Gadget)
	Protected *buffer
	Protected EndMark
	Protected EndIter.GtkTextIter
	
	*buffer= gtk_text_view_get_buffer_(GadgetID(Gadget))
	gtk_text_buffer_get_end_iter_(*buffer, EndIter)
	EndMark= gtk_text_buffer_create_mark(*buffer, "end_mark", @EndIter, #False)
	gtk_text_view_scroll_mark_onscreen_(GadgetID(Gadget), EndMark)
	gtk_text_buffer_delete_mark_by_name(*buffer, "end_mark")
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget - to last line", #PB_Window_SystemMenu)
	ButtonGadget(#Bt1, 5, 5, 100, 25, "To bottomline")
	EditorGadget(#Edt1, 5, 35, #WinW-10, #WinH-39, #PB_Editor_WordWrap)
	AddGadgetItem(#Edt1, -1, EditString1)
	
	gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_WORD)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #Bt1
					Editor_Scroll2Bottom(#Edt1)
				EndIf

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 20
; Folding = -
; EnableUnicode
; EnableXP