﻿; Module/File:     Editor_SelectAll2.pb
; Function:        EditorGadget: (De-) Select whole Text, 2. method - All
; Author:          Shardik (Omi)
; Date:            Jan. 15, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       All: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin  = 0

#But1     = 0
#But2     = 1
#Editor1  = 2

#WinX= 0
#WinY= 0
#WinW= 330
#WinH= 200

Global.i gEvent, gQuit
Global.s S1= "Dies ist ein mehrzeiliger Text in dem das Selektieren und Deselektieren des ganzen Textes gezeigt wird. " + #LF$ + 
             "Dies ist die Möglichkeit im Textbuffer über Start- und End-Iter zu arbeiten!" + #LF$ +
             "shardiks Lösung für alle Plattformen."

Procedure Editor_SelectAll(EditorGadgetID, SelectAll)
	CompilerSelect #PB_Compiler_OS
		CompilerCase #PB_OS_Linux
			Protected TextBuffer.I
			Protected StartIter.GtkTextIter
			Protected EndIter.GtkTextIter
			
			TextBuffer = gtk_text_view_get_buffer_(GadgetID(EditorGadgetID))
			gtk_text_buffer_get_start_iter_(TextBuffer, @StartIter)
			gtk_text_buffer_get_end_iter_(TextBuffer, @EndIter)
			
			If SelectAll
				gtk_text_buffer_select_range_(TextBuffer, @StartIter, @EndIter)
			Else
				gtk_text_buffer_select_range_(TextBuffer, @StartIter, @StartIter)
			EndIf
		CompilerCase #PB_OS_MacOS
			Protected Range.NSRange
			
			If SelectAll
				CocoaMessage(0, GadgetID(EditorGadgetID), "selectAll:", 0)
			Else
				Range\length= 0
				CocoaMessage(0, GadgetID(EditorGadgetID), "setSelectedRange:@", @Range)
			EndIf
		CompilerCase #PB_OS_Windows
			If SelectAll
				SendMessage_(GadgetID(EditorGadgetID), #EM_SETSEL, 0, -1)
			Else
				SendMessage_(GadgetID(EditorGadgetID), #EM_SETSEL, 0, 0)
			EndIf
	CompilerEndSelect
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Editor - Select All", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 100, 26, "Select all")
	ButtonGadget(#But2, 110, 5, 100, 26, "Deselect all")
	
	EditorGadget(#Editor1, 5, 35, #WinW-10, #WinH-39)
	AddGadgetItem(#Editor1, -1, S1)
	
	CompilerIf #PB_Compiler_OS= #PB_OS_Linux
		gtk_text_view_set_wrap_mode_(GadgetID(#Editor1), #GTK_WRAP_WORD);      wortweiser Zeilenumbruch
	CompilerEndIf
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				Select EventGadget()
					Case #But1
						Editor_SelectAll(#Editor1, #True)
						
					Case #But2
						Editor_SelectAll(#Editor1, #False)
						
				EndSelect
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 8
; Folding = -
; EnableUnicode
; EnableXP