﻿; Module/File:     ELG_SetSelection.pb
; Function:        Set selection on ExplorerListGadget- Linux gtk2/gtk3
; Author:          Omi
; Date:            Oct. 31, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#TG1    = 0
#SG1    = 1

#WinX= 200
#WinY= 200
#WinW= 450
#WinH= 330

Global.i gEvent, gQuit


Procedure ELG_SetSelection(Gadget, RowIndex)
	Protected *TreePath= gtk_tree_path_new_from_indices_(RowIndex, -1)
	If *TreePath
		gtk_tree_view_set_cursor_(GadgetID(Gadget), *TreePath, #Null, #False)
	Else
		Debug "TreePath don't exists"
	EndIf
EndProcedure

Procedure CreateWindow_Main()
	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Explorer&Tree - set selection", #PB_Window_SystemMenu)
		ExplorerListGadget(#TG1, 10, 30, 430, 280, "/", #PB_Explorer_AlwaysShowSelection)
		TextGadget(#PB_Any, 5, 8, 100, 20, "set selection: ", #PB_Text_Right)
		SpinGadget(#SG1, 105, 2, 70, 25, 0, 40, #PB_Spin_Numeric); | #PB_Spin_ReadOnly)
	EndIf
EndProcedure


CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #SG1
					If EventType() = #PB_EventType_Change
						ELG_SetSelection(#TG1, GetGadgetState(#SG1))
					EndIf
			EndSelect
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 37
; FirstLine = 5
; Folding = -
; EnableUnicode
; EnableXP