﻿; Module/File:     FrameGadget_LabelAlign.pb
; Function:        FrameGadget-Position of Label - Linux
; Author:          Omi
; Date:            Aug. 01, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Hint: Set frames-code behind the gadgets! Otherwise some tooltips don't appear.

EnableExplicit

ImportC ""
	gtk_frame_set_label_align(*frame.GtkFrame, xalign.f, yalign.f)
	gtk_frame_get_label_align(*frame.GtkFrame, *xalign, *yalign)
EndImport

Global.f xalign, yalign

If OpenWindow(0, 0, 0, 320, 250, "FrameGadget-Labelposition", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	FrameGadget(0, 10,  10, 300, 50, "Label left mid")
	FrameGadget(1, 10,  70, 300, 50, "Label right mid")
	FrameGadget(2, 10, 130, 300, 50, "Label mid above")
	FrameGadget(3, 10, 190, 300, 50, "Label mid below")
	
	; Pos. of PureBasic Std.-FrameGadget ...
	gtk_frame_get_label_align(GadgetID(0), @xalign, @yalign)
	Debug "xalign: " + StrF(xalign)
	Debug "yalign: " + StrF(yalign)
	
	gtk_frame_set_label_align(GadgetID(1), 1.0, 0.5);             PureBasic-Version gtk_frame_set_label_align with float-Error
	gtk_frame_set_label_align(GadgetID(2), 0.5, 1.0)
	gtk_frame_set_label_align(GadgetID(3), 0.5, 0.0)
	
	Repeat
	Until WaitWindowEvent() = #PB_Event_CloseWindow
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 9
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/