﻿; Module/File:     Gadget_Expander&Infos.pb
; Function:        Add more lines with infos (label and locked entries) in GtkFixed- Linux
; Author:          Omi
; Date:            Nov. 16, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
	gtk_expander_new(label.p-utf8)
	gtk_label_new(label.p-utf8)
	gtk_entry_set_text(*entry.GtkEntry, text.p-utf8)
EndImport

; Object constants
#MainWin= 0
#Txt1   = 0
#Txt2   = 1

#WinX   = 300
#WinY   = 200
#WinW   = 300
#WinH   = 200

Global.i gEvent, gQuit
Global *expander1

Procedure.i ExpanderGadget(Gadget, x, y, w, h, text.s)
	Protected.i Container= ContainerGadget(Gadget, x, y, w, h, #PB_Container_BorderLess)
	Protected *fixed.GtkFixed
	Protected *expander.GtkWidget= gtk_expander_new(text)
	If Gadget <> #PB_Any : Container= Gadget : EndIf
	Protected *vbox= gtk_vbox_new_(#False, 0)
	gtk_container_add_(GadgetID(Container), *vbox)
	gtk_box_pack_start_(*vbox, *expander, #False, #False, 0)
	
	*fixed= gtk_fixed_new_()
	
	Protected label= gtk_label_new("First Info")
	gtk_fixed_put_(*fixed, label, 20, 7)
	
	Protected entry= gtk_entry_new_()
	gtk_entry_set_text(entry, "The first information")
	gtk_editable_set_editable_(entry, #False)
	gtk_entry_set_has_frame_(entry, #False)
	gtk_fixed_put_(*fixed, entry, 80, 5)
	
	label= gtk_label_new("Sec. Info")
	gtk_fixed_put_(*fixed, label, 20, 29)
	
	entry= gtk_entry_new_()
	gtk_entry_set_text(entry, "The second information")
	gtk_editable_set_editable_(entry, #False)
	gtk_entry_set_has_frame_(entry, #False)
	gtk_fixed_put_(*fixed, entry, 80, 27)
	
	label= gtk_label_new("Thrd. Info")
	gtk_fixed_put_(*fixed, label, 20, 51)
	
	entry= gtk_entry_new_()
	gtk_entry_set_text(entry, "The third information")
	gtk_editable_set_editable_(entry, #False)
	gtk_entry_set_has_frame_(entry, #False)
	gtk_fixed_put_(*fixed, entry, 80, 49)
	
	gtk_container_add_(*expander, *fixed)
	
	gtk_widget_show_all_(GadgetID(Container))
	CloseGadgetList()
	ProcedureReturn *expander
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Expander with more infos", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	*expander1= ExpanderGadget(#PB_Any, 5, 95, 290, 100, "gtk-expander")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 76
; FirstLine = 44
; Folding = -
; EnableUnicode
; EnableXP