﻿; Module/File:     Gadget_AddSpinner.pb
; Function:        Add 'spinner'-gadget - Linux
; Author:          Omi
; Date:            Nov. 26, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_spinner_new()
	gtk_spinner_start(*spinner)
	gtk_spinner_stop(*spinner)
EndImport

; Object constants
#MainWin= 0
#But1   = 0

#WinX   = 300
#WinY   = 200
#WinW   = 200
#WinH   = 200

Global.i gEvent, gQuit
Global *Spinner1.GtkWidget

Procedure.i SpinnerGadget(Gadget, x, y, w, h)
	Protected.i Container       = ContainerGadget(Gadget, x, y, w, h, #PB_Container_BorderLess)
	Protected *spinner.GtkWidget= gtk_spinner_new()
	If Gadget <> #PB_Any : Container= Gadget : EndIf
	gtk_container_add_(GadgetID(Container), *spinner)
	gtk_widget_show_(*spinner)
	CloseGadgetList()
	ProcedureReturn *spinner
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Add Spinner", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	*Spinner1= SpinnerGadget(#PB_Any, 5, 10, 16, 16)
	ButtonGadget(#But1, 30, 5, 150, 26, "Start Spinner", #PB_Button_Toggle)
	gtk_button_set_focus_on_click_(GadgetID(#But1), #False)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Gadget
				Select EventGadget()
					Case #But1
						If GetGadgetState(#But1)
							gtk_spinner_start(*Spinner1)
							;gtk_widget_show_(*Spinner1); show it again
						Else
							gtk_spinner_stop(*Spinner1)
							;gtk_widget_hide_(*Spinner1); hide on stop
						EndIf
				EndSelect
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 38
; Folding = -
; EnableUnicode
; EnableXP