﻿; Module/File:     Gadget_IsEnabled.pb
; Function:        Gadget-Enable UND Gadget-Enable innerhalb Parent abfragen - Linux
; Author:          Omi
; Date:            Juli 15, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_widget_is_sensitive (*widget.GtkWidget);  Parentabhängig
	gtk_widget_get_sensitive (*widget.GtkWidget); Gadgetspezifische Einstellung (Bedienbarkeit jedoch parentabhängig)
EndImport


; Object constants
#MainWin  =0
#Container= 0
#Button   = 1

#WinX     =300
#WinY     =200
#WinW     =200
#WinH     =100

Global.i gEvent, gQuit, gCounter

Procedure RunIt()
	Select gCounter
		Case 0
			Debug "Disable Button ..."
			DisableGadget(#Button, #True)
		Case 1
			Debug "Button enabled (is) ?: " + Str(gtk_widget_is_sensitive(GadgetID(#Button)))
			Debug "Button enabled (get)?: " + Str(gtk_widget_get_sensitive(GadgetID(#Button)))
			Debug "Container enabled (is) ?: " + Str(gtk_widget_is_sensitive(GadgetID(#Container)))
			Debug "Container enabled (get)?: " + Str(gtk_widget_get_sensitive(GadgetID(#Container)))
		Case 2
			Debug ""
			Debug "Enable Button ..."
			DisableGadget(#Button, #False)
		Case 3
			Debug "Button enabled (is) ?: " + Str(gtk_widget_is_sensitive(GadgetID(#Button)))
			Debug "Button enabled (get)?: " + Str(gtk_widget_get_sensitive(GadgetID(#Button)))
			Debug "Container enabled (is) ?: " + Str(gtk_widget_is_sensitive(GadgetID(#Container)))
			Debug "Container enabled (get)?: " + Str(gtk_widget_get_sensitive(GadgetID(#Container)))
			Debug ""
		Case 4
			Debug "Disable Container ..."
			DisableGadget(#Container, #True)
		Case 5
			Debug "Button enabled (is) ?: " + Str(gtk_widget_is_sensitive(GadgetID(#Button)))
			Debug "Button enabled (get)?: " + Str(gtk_widget_get_sensitive(GadgetID(#Button)))
			Debug "Container enabled (is) ?: " + Str(gtk_widget_is_sensitive(GadgetID(#Container)))
			Debug "Container enabled (get)?: " + Str(gtk_widget_get_sensitive(GadgetID(#Container)))
			Debug ""
		Case 6
			Debug "Enable Container ..."
			DisableGadget(#Container, #False)
		Case 7
			Debug "Button enabled (is) ?: " + Str(gtk_widget_is_sensitive(GadgetID(#Button)))
			Debug "Button enabled (get)?: " + Str(gtk_widget_get_sensitive(GadgetID(#Button)))
			Debug "Container enabled (is) ?: " + Str(gtk_widget_is_sensitive(GadgetID(#Container)))
			Debug "Container enabled (get)?: " + Str(gtk_widget_get_sensitive(GadgetID(#Container)))
	EndSelect
	gCounter+ 1
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Auto enable demo", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any, 5, 5, 150, 20, "Do nothing, watch ...")
	ContainerGadget(#Container, 5, 25, 164, 39, #PB_Container_Double)
	ButtonGadget(#Button, 5, 5, 150, 25, "do nothing")
	
	AddWindowTimer(0, 0, 1000)
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Timer
				RunIt()
		EndSelect
		
	Until gQuit
EndIf

RemoveWindowTimer(0, 0)
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 5
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/