﻿; Module/File:     Gadget_HyperLinkHAlignment.pb
; Function:        HypertextGadget: Set the hor. alignment - Linux gtk2/gtk3
; Author:          Omi
; Date:            Mar. 17, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4x
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

ImportC ""
	gtk_misc_set_alignment(*misc, xalign.f, yalign.f)
	gtk_widget_set_halign(*widget.GtkWidget, align)
EndImport

Enumeration GtkAlign
	#GTK_ALIGN_FILL
	#GTK_ALIGN_START
	#GTK_ALIGN_END
	#GTK_ALIGN_CENTER
	#GTK_ALIGN_BASELINE
EndEnumeration

If OpenWindow(0, 0, 0, 500, 160, "HyperlinkGadget alignment", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	HyperLinkGadget(0, 10, 10, 480, 20,"Red HyperLink (left aligned)", RGB(255,0,0))
	HyperLinkGadget(1, 10, 40, 480, 20,"HyperLink (centered)", RGB(0,0,255))
	HyperLinkGadget(2, 10, 70, 480, 20,"Arial underlined green HyperLink (right aligned)", RGB(0,127,0), #PB_HyperLink_Underline)
	SetGadgetFont(2, LoadFont(0, "Arial", 12))
	
	
	;1. Method gtk2 + gtk3 (quote: "... so GtkMisc should not be used in new code", deprecated since 3.14)
	gtk_misc_set_alignment(GadgetID(0), 0.0, 0.0);     left align
	gtk_misc_set_alignment(GadgetID(1), 0.5, 0.0);     left align
	gtk_misc_set_alignment(GadgetID(2), 1.0, 0.0);     right align
	
	
	;2. Method for all gtk3 ...
	gtk_widget_set_halign(GadgetID(0), #GTK_ALIGN_START)
	gtk_widget_set_halign(GadgetID(1), #GTK_ALIGN_CENTER)
	gtk_widget_set_halign(GadgetID(2), #GTK_ALIGN_END)
	
	
	Repeat : Until WaitWindowEvent() = #PB_Event_CloseWindow
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; EnableUnicode
; EnableXP