﻿; Module/File:     Gadget_SetSliderJump.pb
; Function:        Sets whether adjustment click move slider to mouse or by 1 page - Linux gtk3
; Author:          Omi
; Date:            Feb. 12, 2016
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_get_property(*object.GObject, property.p-utf8, *gval)
	g_object_set(*object.GObject, property_name.p-utf8, *pdata, v= 0)
	g_object_set_property(*object.GObject, property.p-utf8, gval)
EndImport

; Object constants
#MainWin = 0

#But1    = 0
#But2    = 1
#Lig     = 2

#G_TYPE_BOOLEAN= 20

Global.i gEvent, gQuit
Global.i I

Procedure GetSliderWarp()
	Protected   gVal.GValue
	Protected.i StepWarp
	g_value_init_(@gval, #G_TYPE_BOOLEAN)
	g_object_get_property(gtk_settings_get_default_(), "gtk-primary-button-warps-slider", @gval)
	StepWarp= g_value_get_boolean_(@gval)
	g_value_unset_(@gval)
	ProcedureReturn StepWarp
EndProcedure


If OpenWindow(#MainWin, 300, 200, 350, 300, "Set slider warp", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	OptionGadget(#But1,   5,  5, 340, 26, "Leftclick in Adjustment moves slider to mouse")
	OptionGadget(#But2,   5, 35, 340, 26, "Leftclick in Adjustment moves slider by 1 page")
	TextGadget  (#PB_Any, 5, 70, 340, 22, "Then check mid and right mouse button clicks ...")
	
	ListIconGadget(#Lig, 5, 105, 340, 190, "Column", 340)
	For I= 0 To 50
		AddGadgetItem(#Lig, -1, Str(I)+". Item")
	Next I
	
	Debug "Default: Slider jumps to mouse? " + GetSliderWarp()
	g_object_set(gtk_settings_get_default_(), "gtk-primary-button-warps-slider", 1)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				Select EventGadget()
						
					Case #But1
						g_object_set(gtk_settings_get_default_(), "gtk-primary-button-warps-slider", 1)
						
					Case #But2
						g_object_set(gtk_settings_get_default_(), "gtk-primary-button-warps-slider", 0)
						
				EndSelect
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 10
; Folding = -
; EnableUnicode
; EnableXP