﻿; Module/File:     Gadget_TabFocusability.pb
; Function:        Choose Gadgets Tab-focusablitily - Linux
; Author:          Omi
; Date:            Nov. 11, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_widget_set_can_focus(*widget.GtkWidget, can_focus)
EndImport

; Object constants
#Win_Main = 0

#But1 = 0
#ChB1 = 1
#ChB2 = 2
#ChB3 = 3

Global.i gEvent, gQuit

If OpenWindow(#Win_Main, 0, 0, 400, 260, "Gadget focus handling", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any,  5,   5, 390,  26, "Switch focus with TAB.")
	
	CheckBoxGadget(#ChB1,  5,  28, 390,  36, "TAB focusable Gadget 1")
	CheckBoxGadget(#ChB2,  5,  58, 370,  26, "not TAB focusable, but clickable Gadget 2")
	CheckBoxGadget(#ChB3,  5,  88, 370,  26, "TAB focusable Gadget 3")
	
	SetGadgetState(#ChB1, #PB_Checkbox_Checked)
	gtk_widget_set_can_focus(GadgetID(#ChB2), #False);                           no focus on CheckBox 2
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
		EndSelect
		
	Until gQuit
	
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 30
; EnableUnicode
; EnableXP