﻿; Module/File:     ImageGadget_AnimationFromFile.pb
; Function:        ImageGadget with gif-animation from file, w/o decoder, v2, simpler - Linux gtk2/gtk3
; Author:          Omi
; Date:            Nov. 04, 2016
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4x
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gdk_pixbuf_animation_new_from_file(filename.p-utf8, *error.GError)
	gtk_image_set_from_animation(*image.GtkImage, *animation)
	gdk_pixbuf_animation_get_width(pixbuf)
	gdk_pixbuf_animation_get_height(pixbuf)
EndImport

; Object constants
#MainWin= 0

#ImGd1  = 0


Global.i gEvent, gQuit


Procedure.i ImageGadget_SetAnimationFromFile(Gadget, filename.s, autosize)
	Protected.i w, h
	Protected   *error.GError
	Protected   *pixbuf= gdk_pixbuf_animation_new_from_file (filename, @*error)
	
	If *pixbuf
		If autosize
			w= gdk_pixbuf_animation_get_width(*pixbuf)
			h= gdk_pixbuf_animation_get_height(*pixbuf)
		EndIf
		gtk_image_set_from_animation(GadgetID(Gadget), *pixbuf)
		g_object_unref_(*pixbuf)
	Else
		Debug "Loading gif-animation '" + filename + "' failed!" 
	EndIf
EndProcedure

If OpenWindow(#MainWin, 300, 200, 350, 200, "ImageGadget w. gif-animation", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ImageGadget(#ImGd1,   5, 10, 100, 100, #Null)
	;choose a existing gif-animation ...
	ImageGadget_SetAnimationFromFile(#ImGd1, "../FilesForCodes/animiertes-musik-bild-0564.gif", #True)
; 	ImageGadget_SetAnimationFromFile(#ImGd1, "/usr/share/gtk-2.0/demo/floppybuddy.gif", #True)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 47
; FirstLine = 29
; Folding = -
; EnableUnicode
; EnableXP
; CompileSourceDirectory