﻿; Module/File:     System_DefIconThemeSizes4Name.pb
; Function:        List icon sizes for icon name in default icon theme - Linux
; Author:          Omi
; Date:            Oct. 02, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Code for icons from Default icon theme

EnableExplicit

ImportC ""
	gtk_icon_theme_get_icon_sizes(*icon_theme.GtkIconTheme, icon_name.p-utf8)
EndImport


Global.i gEvent, gQuit
Global.s gIconName= "accessories-text-editor"

Procedure.s IconDefaultTheme_IconNameSizes(icon_name.s)
	Protected   *ptr= gtk_icon_theme_get_icon_sizes(gtk_icon_theme_get_default_(), icon_name)
	Protected.l I
	Protected.s S
	
	While PeekL(*ptr+ I*SizeOf(I))
		S+ Str(PeekL(*ptr+ I*SizeOf(I)))+ ","
		I+ 1
	Wend
	g_free_(*ptr)
	
	ProcedureReturn RTrim(S, ","); returned as cvs-string
EndProcedure


Procedure Create_WinMain()
	If OpenWindow(0, 300, 200, 500, 200, "List IconTheme sizes for name", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)

	EndIf
EndProcedure

Create_WinMain()

Debug "Available sizes for icon: '" + gIconName + "' (-1 = scalable)"
Debug "-------------------------------------------------------"
Debug IconDefaultTheme_IconNameSizes(gIconName)


Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
			
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 36
; Folding = -
; EnableUnicode
; EnableXP