﻿; Module/File:     LIG&EG_ScrollSelectionVisibleWithAlign.pb
; Function:        Scrolls selection visible with v-align - Linux
; Author:          shardik + Omi
; Date:            Oct. 13, 2014
; Version:         0.2 (64-Bit-Problem, alignment)
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_tree_view_scroll_to_cell(*tree_view.GtkTreeView, *path, *column.GtkTreeViewColumn, use_align, row_align.f, col_align.f)
EndImport

; Object constants
#MainWin= 0
#LIG    = 0
#Cb     = 1
#But    = 2

#WinX= 0
#WinY= 0
#WinW= 400
#WinH= 600


Procedure TV_ScrollVisibleWithVAlign(Gadget, Align.f)
	Protected *FocusColumn
	Protected *TreePath
	
	gtk_tree_view_get_cursor_(GadgetID(Gadget), @*TreePath, @*FocusColumn)
	gtk_tree_view_scroll_to_cell(GadgetID(Gadget), *TreePath, 0, #True, Align, 0)
	gtk_tree_path_free_(*TreePath)
EndProcedure

OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "scroll selection to 'alignment'", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
ExplorerTreeGadget(#LIG, 10, 10, WindowWidth(0) - 20, WindowHeight(0) - 60, "")
ComboBoxGadget(#Cb, 5, 560, 150, 26)
AddGadgetItem(#Cb, -1, "Top")
AddGadgetItem(#Cb, -1, "Center")
AddGadgetItem(#Cb, -1, "Bottom")
ButtonGadget(#But, 160, 560, 150, 26, "Scroll to ... ")

SetGadgetState(#Cb, 0)
SetGadgetText(#LIG, #PB_Compiler_Home)

Repeat
  Select WaitWindowEvent()
    Case #PB_Event_CloseWindow
      Break
    Case #PB_Event_Gadget
    	If EventGadget()= #But And EventType() = #PB_EventType_LeftClick
    		Select GetGadgetState(#Cb)
    				Case 0
    					TV_ScrollVisibleWithVAlign(#LIG, 0.0);  Top
    				Case 1
    					TV_ScrollVisibleWithVAlign(#LIG, 0.5);  Center
    				Case 2
    					TV_ScrollVisibleWithVAlign(#LIG, 1.0);  Bottom
    			EndSelect
      EndIf
  EndSelect
ForEver
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 26
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/