﻿; Module/File:     Menu_AccelerationIsActivated.pb
; Function:        Whether menu acceleration is active and shown - Linux
; Author:          Omi
; Date:            Dec. 20, 2015 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_get_property(*object.GObject, property.p-utf8, *gval)
EndImport

; Object constants
#MainWin  = 0

#G_TYPE_BOOLEAN  = 20

Global.i gEvent, gQuit

Procedure.i MenuAccelerationActive()
	Protected   gVal.GValue
	Protected   MenuAccelerationActive
	
	g_value_init_(@gval, #G_TYPE_BOOLEAN)
	g_object_get_property(gtk_settings_get_default_(), "gtk-enable-accels", @gval)
	MenuAccelerationActive= g_value_get_boolean_(@gval)
	g_value_unset_(@gval)
	ProcedureReturn MenuAccelerationActive
EndProcedure

If OpenWindow(#MainWin, 300, 200, 300, 200, "Menu icons shown?", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any, 5, 5, 290, 24, "Nothing to see - to built in your app ...")
	
	Debug "Menu-Acceleration ON? " +  Str(MenuAccelerationActive())
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 32
; Folding = -
; EnableUnicode
; EnableXP