﻿; Module/File:     Menu_ActivateAccelerators.pb
; Function:        Set whether menu accelerators are active and shown - Linux
; Author:          Omi
; Date:            Dec. 20, 2015 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_set(*object.GObject, property_name.p-utf8, *data, v= 0)
EndImport

; Object constants
#MainWin  = 0

Global.i gEvent, gQuit

If OpenWindow(#MainWin, 300, 200, 300, 200, "Activate menu accelerators", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any, 5, 5, 290, 24, "Nothing to see - to built in your app ...")
	
	g_object_set(gtk_settings_get_default_(), "gtk-enable-accels", #False); #True = ON
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 24
; EnableUnicode
; EnableXP