﻿; Module/File:     System_BeepDefault.pb
; Function:        Emits a System-Beep-Sound - Linux
; Author:          Omi
; Date:            Dec. 19, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

;No Beep?
; try 'beep' in Terminal. On error-message ...
; install 'beep' by 'sudo apt-get install beep' in terminal
;
;still no tone?
; Open editor in Terminal, e.g. 'gksudo gedit'. Then change line in file '/etc/modprobe.d/blacklist.conf' to '# blacklist pcspkr'
; In Terminal 'sudo modprobe pcspkr'
; 


Global.s Command, gCMem
Global *gMem

Procedure PbToAsciiPtr(Pb.s);                                 converts PB to Ascii, returns string
	*gMem= AllocateMemory(StringByteLength(Pb, #PB_Ascii) + 1); Mem for string in Ascii
	PokeS(*gMem, Pb, -1, #PB_Ascii);                            converts to Ascii
	ProcedureReturn *gMem
EndProcedure

;----------------
;1. good way for PB < 5.40...
Command= "beep"
gCMem = Space(Len(Command) / SizeOf(CHARACTER) +1)
PokeS(@gCMem, Command, -1, #PB_Ascii)

Debug system_(gCMem); '0' is ok
Delay(1000)
;-----------------
;2. good way ...
Debug system_(PbToAsciiPtr("beep")); '0' is ok
FreeMemory(*gMem)
Delay(1000)
;-----------------
;3. good way ...
Debug RunProgram("beep"); <>'0' is ok (no difference in UTF8 (= Standard in Unicode-Mode))
;Debug RunProgram("beep", "", "", #PB_Program_Ascii); <>'0' is ok; PB >= 5.40
Delay(1000)
;-----------------
;4. good way, use ...
;ImportC ""
;	system(command.p-Ascii)
;EndImport
;----------------.
;bad way, not Unicode-compatible ...
Debug system_("beep"); '0' is ok
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 42
; Folding = -
; EnableUnicode
; EnableXP