﻿; Module/File:     System_BeepOwn.pb
; Function:        Example for own Beep-Sound - Linux
; Author:          Omi
; Date:            Dec. 19, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

;No Beep?
; try 'beep' in Terminal. On error-message ...
; install 'beep' by 'sudo apt-get install beep' in terminal
;
;still no tone?
; Open editor in Terminal, e.g. 'gksudo gedit'. Then change line in file '/etc/modprobe.d/blacklist.conf' to '# blacklist pcspkr'
; In Terminal 'sudo modprobe pcspkr'
; 

;here with RunProgram()
;for other calling-ways see System_BeepDefault.pb

If Not RunProgram("beep")
	Debug "'beep' nicht installiert!"
EndIf
RunProgram("beep", "-f 130.8 -l 200", ""); a 'C'
Delay (2000)
RunProgram("beep", "-f 220 -l 300", "");   an 'A'
Delay (2000)
RunProgram("beep", "-f 261.6 -r 2 -d 50 -l 300", ""); 2 'c'
Delay (2000)
RunProgram("beep", "-f 392 -l 80 -n -f 784 -l 80", ""); 'g' and octave
Delay (2000)
RunProgram("beep", "-f 293.7 -l 80 -n -f 440 -l 80 -n -f 587.4 -l 80", ""); 'd', quint and octave
Delay(1000)
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 20
; EnableUnicode
; EnableXP
; DisableDebugger