﻿; Module/File:     X11_DeskWinHandling_.pb
; Function:        X11: Get Infos about desktops, move window. Little demo - Linux
; Author:          Omi
; Date:            May. 16, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_widget_get_window(*widget.GtkWidget)
	gdk_x11_screen_get_number_of_desktops(*screen.GdkScreen)
	gdk_x11_screen_get_current_desktop(*screen.GdkScreen)
	gdk_x11_window_get_desktop(*window)
	gdk_x11_window_move_to_desktop(*window, desktop)
	gdk_x11_screen_get_window_manager_name(*screen.GdkScreen)
; 	gdk_screen_get_default ()
EndImport

; Object constants
#Win_Main  = 0


Global.i gEvent, gEventWin, gQuit

Procedure Create_WinMain()
	If OpenWindow(#Win_Main, 300, 200, 500, 200, "Window", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
		ButtonGadget(0, 5, 5, 200, 26, "Touch me")
	EndIf
EndProcedure

Create_WinMain()

Debug "Desktops              : " + Str(gdk_x11_screen_get_number_of_desktops(gdk_screen_get_default_()))
Debug "Curr. desktop         : " + Str(gdk_x11_screen_get_current_desktop(gdk_screen_get_default_()))
Debug "Window is on desktop  : " + Str(gdk_x11_window_get_desktop(gtk_widget_get_window(WindowID(#Win_Main))))
gdk_x11_window_move_to_desktop(gtk_widget_get_window(WindowID(#Win_Main)), 0);      Move window to desktop 1
Debug " -> Window moved to desktop 1"
Debug "Window manager name   : " + PeekS(gdk_x11_screen_get_window_manager_name(gdk_screen_get_default_()), -1, #PB_UTF8)
Debug "Search your window on Desktop #0 ;-)"

Repeat
	gEvent= WaitWindowEvent()
	gEventWin= EventWindow()
	
	If gEventWin = #Win_Main
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
		EndSelect
		
	EndIf
	
Until gQuit
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 34
; FirstLine = 25
; Folding = -
; EnableUnicode
; EnableXP