﻿; Module/File:     OptionGadget_ChangeGroup.pb
; Function:        Change OptionGadget group to another w. member - Linux gtk3
; Author:          Omi
; Date:            Nov. 16, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4x
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_radio_button_join_group(*radio_button.GtkRadioButton, *group_source.GtkRadioButton)
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

; Object constants
#Win_Main  = 0

Global.i gEvent,  gQuit

Enumeration
	#But1
EndEnumeration
Enumeration #PB_Compiler_EnumerationValue
	#OpG1
	#OpG2
	#OpG3
	#OpG4
	#OpG5
	#OpG6
EndEnumeration

Procedure Create_WinMain()
	If OpenWindow(#Win_Main, 300, 200, 395, 150, "OptionGadget (change group)", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
		ButtonGadget(#But1,    5,   5, 385,  26, "Join 'RadioButton 2.3' to group 1 (and back)", #PB_Button_Toggle)
		
		FrameGadget (#PB_Any,   5,  37, 190, 110, "Group 1")
		OptionGadget(#OpG1,    10,  55, 180,  26, "RadioButton 1.1")
		OptionGadget(#OpG2,    10,  85, 180,  26, "RadioButton 1.2")
		OptionGadget(#OpG3,    10, 115, 180,  26, "RadioButton 1.3")
		
		FrameGadget (#PB_Any, 200,  37, 190, 110, "Group 2")
		OptionGadget(#OpG4,   205,  55, 180,  26, "RadioButton 2.1")
		OptionGadget(#OpG5,   205,  85, 180,  26, "RadioButton 2.2")
		OptionGadget(#OpG6,   205, 115, 180,  26, "⬌ RadioButton 2.3")
	EndIf
EndProcedure

Create_WinMain()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
			
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #But1
					If GetGadgetState(#But1)
						gtk_radio_button_join_group(GadgetID(#OpG6), GadgetID(#OpG1)); Switch #OpG6 to group with member #OpG1
					Else
						gtk_radio_button_join_group(GadgetID(#OpG6), GadgetID(#OpG4)); Switch #OpG6 back to group with member #OpG4
					EndIf
			EndSelect
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 36
; Folding = -
; EnableUnicode
; EnableXP