﻿; Module/File:     OptionGadget_readonly.pb
; Function:        Set an OptionGadget as readonly (not user changeable) - Linux
; Author:          Omi
; Date:            Oct. 16, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4x
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

; Object constants
#Win_Main  = 0

#OpG1 = 0
#OpG2 = 1
#OpG3 = 2

Global.i gEvent,  gQuit

ProcedureC Callback_RadiobuttonClickBlocked(*widget.GtkWidget, *Event.GdkEventButton, user_data)
	If user_data >= #OpG1 And user_data <= #OpG3
		If *Event\type = #GDK_BUTTON_PRESS
			Debug "No change from user allowed for OptionGadget " + Str(user_data)
			ProcedureReturn #True;                                                 no further action
		EndIf
	EndIf
EndProcedure

Procedure Create_WinMain()
	If OpenWindow(#Win_Main, 300, 200, 300, 100, "OptionGadget (readonly)", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
		OptionGadget(#OpG1,  5,  5, 200, 26, "Touch me")
		OptionGadget(#OpG2,  5, 30, 200, 26, "or me")
		OptionGadget(#OpG3,  5, 55, 200, 26, "or maybe me")
		
		g_signal_connect(GadgetID(#OpG1), "button-press-event", @Callback_RadiobuttonClickBlocked(), #OpG1)
		g_signal_connect(GadgetID(#OpG2), "button-press-event", @Callback_RadiobuttonClickBlocked(), #OpG2)
		g_signal_connect(GadgetID(#OpG3), "button-press-event", @Callback_RadiobuttonClickBlocked(), #OpG3)
		
		SetGadgetState(#OpG3, 1)
	EndIf
EndProcedure

Create_WinMain()

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 43
; FirstLine = 29
; Folding = -
; EnableUnicode
; EnableXP