﻿; Module/File:     Panel_CloseButtonGtk2.pb
; Function:        Add CloseButtons to PanelGadget - Linux gtk2
; Author:          Omi
; Date:            Jul. 09, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4x
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

ImportC ""
	gtk_image_new_from_stock(stock_id.p-utf8, size);                 gtk3.1-
	gtk_button_set_image(*button.GtkButton, *image.GtkWidget);       gtk2.6+
	g_signal_connect(*instance, detailed_signal.p-utf8, *c_handler, *pdata, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

EnableExplicit

; Object constants
#MainWin= 0

#Panel1 = 0

Global.i gEvent, gQuit
Global.i I, gRiders= 4
Global   *widget.GtkWidget, *hbox.GtkHBox, *button.GtkButton

ProcedureC Callback_P1TabButton(*button, user_signal)
	Debug "Close tab " + Str(user_signal)
EndProcedure


If OpenWindow(#MainWin, 300, 200, 350, 310, "gtk2 PanelGadget: w. CloseButton", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	PanelGadget(#Panel1, 0, 30, 350, 270)
	For I=0 To gRiders- 1
		AddGadgetItem(#Panel1, -1, " Tab "+Str(I))
		TextGadget(#PB_Any, 5, 5, 200, 20, "Panel "+Str(I))
	Next I
	
	gRiders= gtk_notebook_get_n_pages_(GadgetID(#Panel1))
	For i= 0 To gRiders- 1
		*widget= gtk_notebook_get_nth_page_(GadgetID(#Panel1), I);                   panel widget
		*button= gtk_button_new_();                                                  new homeless button
		gtk_button_set_image(*button, gtk_image_new_from_stock("gtk-close", #GTK_ICON_SIZE_MENU)); stock image for button
		gtk_button_set_relief_(*button, #GTK_RELIEF_NONE);                           button frame off
		*hbox= gtk_notebook_get_tab_label_(GadgetID(#Panel1), *widget);              hbox from tab for panel
		gtk_box_pack_end_(*hbox, *button, #False, #False, 0);                        Add button at right tab side
		g_signal_connect (*button, "clicked", @Callback_P1TabButton(), I);           callback for click
		gtk_widget_show_all_(*hbox)
	Next I
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
	
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 14
; FirstLine = 31
; Folding = -
; EnableXP
; SubSystem = gtk2
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/