﻿; Module/File:     Panel_PopupOnTab.pb
; Function:        PanelGadget-tab-popup on rightclick - Linux gtk2/gtk3
; Author:          Omi
; Date:            Oct. 15, 2015
; Version:         0.2, utf8-fix
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_notebook_set_menu_label_text(*notebook.GtkNotebook, *child.GtkWidget, menu_text.p-utf8)
EndImport

; Object constants
#MainWin= 0
#Text1  = 0
#Panel1 = 1

#WinX=300
#WinY=200
#WinW=410
#WinH=310

Global.i gEvent, gQuit
Global.i I, gRiders= 4
Global.s gS
Global   *widget.GtkWidget


If OpenWindow(#MainWin, 100, 120, #WinW, #WinH, "PanelGadget: tab-popup on rightclick", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 5, 300, 20, "Rightclick on tab opens popup...")
	PanelGadget(#Panel1, 0, 30, 400, 270)
	
	For I= 0 To gRiders- 1
		AddGadgetItem(#Panel1, -1, " Tab (Rider) "+Str(I))
		TextGadget(#PB_Any, 5, 5, 200, 20, "Panel "+Str(I))
		
		*widget= gtk_notebook_get_nth_page_(GadgetID(#Panel1), I)
		gS= "TabPopupItem " + Str(I)
		gtk_notebook_set_menu_label_text(GadgetID(#Panel1), *widget,gS)
		
	Next I
	CloseGadgetList()
	
	gtk_notebook_popup_enable_(GadgetID(#Panel1));                          to enable the popup on tabs
	;gtk_notebook_popup_disable_(GadgetID(#Panel1));                         to disable the popup (default)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
	
EndIf

End  
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 41
; FirstLine = 16
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/