﻿; Module/File:     Panel_SetStockImageGtk2.pb
; Function:        Set stock image on PanelGadget tabs (empty place, till it's fixed) - Linux gtk2
; Author:          Omi
; Date:            Jul. 09, 2016 ☑
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.4x
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

ImportC ""
	gtk_image_set_from_stock(*image.GtkImage, stock_id.p-utf8, size)
EndImport

EnableExplicit

; Object constants
#MainWin= 0

#Panel1 = 0

Global.i gEvent, gQuit
Global.i I, O, gRiders= 4
Global.s gTempStockImage
Global   *widget.GtkWidget, *hbox.GtkHBox
Global   *gList.GList


If OpenWindow(#MainWin, 300, 200, 350, 290, "gtk2 PanelGadget: w. StockImages", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	PanelGadget(#Panel1, 0, 10, 350, 270)
	For I=0 To gRiders- 1
		AddGadgetItem(#Panel1, -1, " Tab "+Str(I))
		TextGadget(#PB_Any, 5, 5, 200, 20, "Panel "+Str(I))
	Next I
	
	gRiders= gtk_notebook_get_n_pages_(GadgetID(#Panel1))
	For I= 0 To gRiders- 1
		*widget= gtk_notebook_get_nth_page_(GadgetID(#Panel1), I);                   panel widget
		*hbox  = gtk_notebook_get_tab_label_(GadgetID(#Panel1), *widget);            hbox from tab for panel
		If *hbox
			*gList= gtk_container_get_children_(*hbox)
			For O= 1 To g_list_length_(*gList)
				If PeekS(gtk_widget_get_name_(g_list_nth_data_(*gList, O-1)), -1, #PB_UTF8) = "GtkImage"
					Select I
						Case 0  : gTempStockImage= "gtk-help"
						Case 1  : gTempStockImage= "gtk-print"
						Case 2  : gTempStockImage= "gtk-properties"
						Default : gTempStockImage= "gtk-info"
					EndSelect
					gtk_image_set_from_stock(g_list_nth_data_(*gList, O-1), gTempStockImage, #GTK_ICON_SIZE_MENU)
				EndIf
			Next O
		EndIf
	Next I
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
	
EndIf

End  
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; EnableUnicode
; EnableXP
; SubSystem = gtk2