﻿; Module/File:     Panel_TabsScrollable.pb
; Function:        Set PanelGadget-tabs scrollable if don't fit in area - Linux gtk2/gtk3
; Author:          Omi
; Date:            Aug. 23, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#Text1  = 0
#But1   = 1
#Panel1 = 2

#WinX=300
#WinY=200
#WinW=310
#WinH=310

Global.i gEvent, gQuit
Global.i I, gRiders= 4
Global   *widget.GtkWidget


If OpenWindow(#MainWin, 100, 120, #WinW, #WinH, "PanelGadget: scrollable tabs", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 7, 150, 20, "(un)set tabs scrollable")
	ButtonGadget(#But1, 155, 2, 100, 25, "Scrollable", #PB_Button_Toggle)
	
	PanelGadget(#Panel1, 0, 30, 300, 270)
	For I=0 To gRiders- 1
		AddGadgetItem(#Panel1, -1, " Tab (Rider) "+Str(I))
		TextGadget(#PB_Any, 5, 5, 200, 20, "Panel "+Str(I))
	Next I
	CloseGadgetList()
	
	gtk_notebook_set_scrollable_(GadgetID(#Panel1), #False)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Gadget
				If EventGadget()= #But1
					gtk_notebook_set_scrollable_(GadgetID(#Panel1), GetGadgetState(#But1))
				EndIf
		EndSelect
		
	Until gQuit
	
EndIf

; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 55
; FirstLine = 10
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/