﻿; Module/File:     ProgressBar_InvertedDirection.pb
; Function:        Inverted ProgressBar-direction - Linux gtk3
; Author:          Omi
; Date:            Sept. 13, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_progress_bar_set_inverted(*pbar.GtkProgressBar, inverted);      gtk3
	gtk_progress_bar_set_text(*pbar.GtkProgressBar, text.p-utf8)
	gtk_progress_bar_set_show_text(*pbar.GtkWidget, show_text);         gtk3
EndImport

; Window Variablen
#MainWin= 0
#PG1    = 0

Global.i gEvent, gQuit, gCounter= 10

Procedure ProgressBarAction()
	If gCounter<= 100
		SetGadgetState(#PG1, gCounter)
		gCounter+ 5
	EndIf
EndProcedure

If OpenWindow(#MainWin, 300, 200, 300, 100, "inverted progressbar", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ProgressBarGadget(#PG1, 5, 5, 280, 20, 0, 100)
	
	gtk_progress_bar_set_show_text(GadgetID(#PG1), #True)
	gtk_progress_bar_set_text(GadgetID(#PG1), "text per API")
	
	;***
	gtk_progress_bar_set_inverted(GadgetID(#PG1), #True)
	;***
	
	AddWindowTimer(#MainWin, 0, 250)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Timer
				ProgressBarAction()
		EndSelect
		
	Until gQuit
EndIf

RemoveWindowTimer(#MainWin, 0)
; IDE Options = PureBasic 5.40 LTS (Linux - x64)
; CursorPosition = 25
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/