﻿; Module/File:     ProgressBar_SetPulse.pb
; Function:        Set ProgressBar-Pulse - Linux gtk2/gtk3
; Author:          Omi - with hint from sicro
; Date:            Sept. 13, 2014
; Version:         0.3, new utf8-handling/gtk3
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_progress_bar_set_pulse_step(*pbar.GtkProgressBar, fraction.d)
	gtk_progress_bar_set_text(*pbar.GtkWidget, text.p-utf8)
	gtk_progress_bar_set_show_text(*pbar.GtkWidget, show_text); gtk3, disable it on gtk2
EndImport

; object constants
#MainWin= 0
#PG1    = 0

#WinX   = 300
#WinY   = 200
#WinW   = 200
#WinH   = 200

Global.i gEvent, gQuit, gCounter= 10

Procedure ProgressBarAction()
	If gCounter <= 165
		gtk_progress_bar_pulse_(GadgetID(#PG1))
		gCounter+ 5
	EndIf
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "progressbar pulsing", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ProgressBarGadget(#PG1, 5, 5, 180, 20, 0, 100)
	
	gtk_progress_bar_set_show_text(GadgetID(#PG1), #True);     new gtk3, disable it on gtk2
	gtk_progress_bar_set_pulse_step(GadgetID(#PG1), 0.1)
	gtk_progress_bar_set_text(GadgetID(#PG1), "Pulse per API")
	
	AddWindowTimer(#MainWin, 0, 100)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Timer
				ProgressBarAction()
		EndSelect
		
	Until gQuit
EndIf

RemoveWindowTimer(#MainWin, 0)
; IDE Options = PureBasic 5.40 LTS (Linux - x64)
; CursorPosition = 26
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/