﻿; Module/File:     MessageRequester_Icon+Markup_Modal.pb
; Function:        MessageRequester with OS-Icon, formatet Markuptext - modal - Linux
; Author:          Omi
; Date:            Jan. 10, 2015
; Version:         0.3, utf8-handling, x64-Problem
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

;todo
; nonmodale MessageBox
; freie Auswahlbox


;MessageBox-Icons ...
; MbIcon= #GTK_MESSAGE_ERROR
; MbIcon= #GTK_MESSAGE_INFO
; MbIcon= #GTK_MESSAGE_QUESTION
; MbIcon= #GTK_MESSAGE_WARNING

;MessageBox-Standard-Buttons (gtk-constants) ...
; #GTK_BUTTONS_NONE                = 0
; #GTK_BUTTONS_OK                  = 1
; #GTK_BUTTONS_CLOSE               = 2
; #GTK_BUTTONS_CANCEL              = 3
; #GTK_BUTTONS_YES_NO              = 4
; #GTK_BUTTONS_OK_CANCEL           = 5

;MessageBox-Response ...
; #GTK_RESPONSE_DELETE_EVENT=  MessageBox closed via Window-Close
; #GTK_RESPONSE_OK          =  MessageBox OK
; #GTK_RESPONSE_CANCEL      =  MessageBox Cancel
; #GTK_RESPONSE_YES         =  MessageBox Yes
; #GTK_RESPONSE_NO          =  MessageBox No

EnableExplicit

ImportC ""
	gtk_message_dialog_new_with_markup(*parent.GtkWindow, flags, type, buttons, message_format.p-utf8, markup.p-utf8, stop)
	gtk_message_dialog_new(*parent.GtkWindow, flags, type, buttons, message_format.p-utf8, arguments.p-utf8, stop)
	gtk_message_dialog_format_secondary_text(*message_dialog.GtkMessageDialog, message_format.p-utf8, arguments.p-utf8, stop)
EndImport

; Object constants
#MainWin=0
#But1= 0
#But2= 1

#WinX=300
#WinY=200
#WinW=300
#WinH=100

Global.i gEvent, gQuit


;- Functions ...
Procedure.l MessageBox(ParentWin, MbString.s, MbIcon, MbButtons, UseMarkup.b= #False);  Type .l fpr 64-Bit!
	Protected *dialog.GtkDialog
	Protected.l MbRet; type .l for 64-Bit
	Protected.s S= "Hier noch 2 Textzeilen" + #LF$ + "mit 'gtk_message_dialog_format_secondary_text()'"
	;modal ...
	If UseMarkup
		*dialog = gtk_message_dialog_new_with_markup(WindowID(ParentWin), #GTK_DIALOG_DESTROY_WITH_PARENT, MbIcon, MbButtons, MbString, "", 0)
		gtk_message_dialog_format_secondary_text(*dialog, S, "", 0)
	Else
		*dialog = gtk_message_dialog_new(WindowID(ParentWin), #GTK_DIALOG_DESTROY_WITH_PARENT, MbIcon, MbButtons, MbString, "", 0)
	EndIf
	MbRet= gtk_dialog_run_(*dialog)
	gtk_widget_destroy_(*dialog)
	ProcedureReturn MbRet
EndProcedure

;-
;- Main ...
If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "native MessageRequester", #PB_Window_SystemMenu)
	ButtonGadget(#But1, 5, 5, 290, 25,  "MessageRequester m. Icon, Markup, modal")
	ButtonGadget(#But2, 5, 35, 290, 25, "MessageRequester m. Icon, modal")
	
	Repeat
		gEvent= WaitWindowEvent()

		Select gEvent

			Case #PB_Event_CloseWindow
				gQuit= #True

			Case #PB_Event_Gadget

				Select EventGadget()

					Case #But1
						Debug MessageBox(#MainWin, "<big><b>Test-MessageBox</b></big>" + #LF$ + #LF$ + 
						                           "mit 2. Zeile" + #LF$ + "und 3. Zeile", 
						                 #GTK_MESSAGE_INFO, #GTK_BUTTONS_YES_NO, #True); or #GTK_BUTTONS_OK_CANCEL
						
					Case #But2
						Debug MessageBox(#MainWin, "Test-MessageBox" + #LF$ + 
						                           "mit 2. Zeile", 
						                 #GTK_MESSAGE_INFO, #GTK_BUTTONS_OK_CANCEL)
						
				EndSelect

		EndSelect

	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS Beta 8 (Linux - x86)
; CursorPosition = 5
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/