﻿; Module/File:     StatusBar_AddEntry.pb
; Function:        Adds entry to existing statusbar - Linux
; Author:          Omi/walker
; Date:            Sep. 14, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_entry_set_text(*entry.GtkEntry, text.p-utf8)
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

; Object constants
#MainWin  = 0
#StatusBar = 0

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.i gEvent, gQuit
Global *StatusBar1, *SB_Entry1.GtkWidget

ProcedureC Callback_ChangedEvent(*widget, *signal, *user_data)
	If *widget= *SB_Entry1
		Debug "Statusbar-Entry changed: "+ PeekS(gtk_entry_get_text_(*Widget), -1, #PB_UTF8)
	EndIf
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Statusbar add entry", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	
	If CreateStatusBar(#StatusBar, WindowID(#MainWin))
		AddStatusBarField(150)
		StatusBarText(#StatusBar, 0, "StatusBar-Text")
		*StatusBar1= StatusBarID(#StatusBar)
		
		*SB_Entry1 = gtk_entry_new_()
		gtk_entry_set_text(*SB_Entry1, "gtk-add entry")
		gtk_box_pack_start_(*StatusBar1, *SB_Entry1, #True, #True, 10);   fit in with 10pix distance
		gtk_widget_show_(*SB_Entry1)
		
		g_signal_connect(*SB_Entry1, "changed", @Callback_ChangedEvent(), #Null)
	EndIf
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 5
; Folding = -
; EnableUnicode
; EnableXP