﻿; Module/File:     StatusBar_AddSpinner.pb
; Function:        Adds spinner to existing statusbar - Linux
; Author:          Omi/walker
; Date:            Nov. 26, 2014
; Version:         0.2; hide/show
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_spinner_new()
	gtk_spinner_start(*spinner)
	gtk_spinner_stop(*spinner)
EndImport

; Object constants
#MainWin   = 0

#But1      = 0
#StatusBar = 1

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.i gEvent, gQuit
Global *StatusBar, *SB_Spinner1.GtkWidget

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Statusbar add spinner", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 150, 26, "Start spinner", #PB_Button_Toggle)
	If CreateStatusBar(#StatusBar, WindowID(#MainWin))
		AddStatusBarField(150)
		StatusBarText(#StatusBar, 0, "StatusBar-Text")
		*StatusBar= StatusBarID(#StatusBar)
		
		*SB_Spinner1 = gtk_spinner_new()
		gtk_box_pack_start_(*StatusBar, *SB_Spinner1, #False, #False, 0)
		;gtk_widget_show_(*SB_Spinner1)
		
		; no signal-connection -> displaywidget
	EndIf
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				Select EventGadget()
					Case #But1
						If GetGadgetState(#But1)
							gtk_spinner_start(*SB_Spinner1)
							gtk_widget_show_(*SB_Spinner1)
						Else
							gtk_spinner_stop(*SB_Spinner1)
							gtk_widget_hide_(*SB_Spinner1)
						EndIf
				EndSelect
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 27
; EnableUnicode
; EnableXP