﻿; Module/File:     StatusBar_PBGetText.pb
; Function:        Reads text of a PB-StatusBarField - Linux
; Author:          Omi
; Date:            Dec. 29, 2014
; Version:         0.2; forgotten g_list_free_()
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin  = 0
#StatusBar = 0

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.i gEvent, gQuit

Procedure.s GetStatusbarText(Gadget, field)
	Protected *StatusBar.GtkWidget= StatusBarID(Gadget)
	Protected *widget.GtkWidget, *GList.GList
	Protected.s SField= ""
	
	*GList= gtk_container_get_children_(*StatusBar)
	If *GList
		If g_list_length_(*GList)> field And field> -1
			*GList= g_list_nth_(*GList, field)
			*widget= *GList\data;    GtkFrame
			
			If *widget
				*GList= gtk_container_get_children_(*widget)
				*widget= *GList\data;  GtkLabel
				SField= PeekS(gtk_label_get_text_(*widget), -1, #PB_UTF8)
			EndIf
		EndIf
		g_list_free_(*GList);    forgotten on V0.1
	EndIf
	ProcedureReturn SField
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Get StatusBar-Field-Text", #PB_Window_SystemMenu)
	
	If CreateStatusBar(#StatusBar, WindowID(#MainWin))
		AddStatusBarField(150)
		AddStatusBarField(150)
		StatusBarText(#StatusBar, 0, "StatusBar-Text")
		StatusBarText(#StatusBar, 1, "StatusBar-Text 2")
	EndIf
	
	Debug GetStatusbarText(#StatusBar, 0)
	Debug GetStatusbarText(#StatusBar, 1)
	Debug GetStatusbarText(#StatusBar, 2); should be ""
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 8
; Folding = -
; EnableUnicode
; EnableXP