﻿; Module/File:     EditField_Functions.pb
; Function:        Demo for auto. selection and cursor positioning (GtkEditable) - Linux
; Author:          Omi
; Date:            Oct, 14, 2014
; Version:         0.2
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
	gtk_editable_insert_text(*editable.GtkEditable, new_text.p-utf8, new_text_length, *position)
EndImport

; Object constants
#MainWin= 0
#Text   = 0
#String = 1

Global.i gEvent, gQuit, gCounter

;- Functions ...
ProcedureC Edit_Changed(*widget, signal, user_data)
; 	Debug signal
; 	Debug user_data
EndProcedure


;- Example ...
Procedure TimerFuntion()
	Protected Pos=5
	Select gCounter
		Case 0
			SetGadgetText(#Text, "select region")
			gtk_editable_select_region_(GadgetID(#String), 5, 8);                      Teilselektion
		Case 1
			SetGadgetText(#Text, "delete partially selection")
			gtk_editable_delete_selection_(GadgetID(#String));                         Teilselektion löschen
		Case 2
			SetGadgetText(#Text, "get cursorpos. & insert text")
			Pos= gtk_editable_get_position_(GadgetID(#String));                        Cursorposition holen
			SetGadgetText(#Text, "get cursorpos. @" + Str(Pos) + " & insert text")
			gtk_editable_insert_text(GadgetID(#String), "äöü", -1, @Pos);     An Cursorpos Text einfügen
		Case 3
			SetGadgetText(#Text, "set cursorpos. 0")
			gtk_editable_set_position_(GadgetID(#String), 0);                          Cursorposition setzen
		Case 4
			SetGadgetText(#Text, "set cursorpos. END")
			gtk_editable_set_position_(GadgetID(#String), -1);                         Cursorposition ans Stringende
	EndSelect
	gCounter+ 1
EndProcedure

If OpenWindow(#MainWin, 300, 250, 200, 200, "StringGadget-Demo", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text, 10, 5, 230, 20, "do nothing")
	StringGadget(#String, 10, 30, 100, 25, "1234567890")
	SetActiveGadget(#String)
	
	AddWindowTimer(#MainWin, 0, 3000)
	g_signal_connect(GadgetID(#String), "changed", @Edit_Changed(), 25)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Timer
				TimerFuntion()
				
		EndSelect
	Until gQuit
EndIf

RemoveWindowTimer(#MainWin, 0)
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 3
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/