﻿; Module/File:     EditField_OverwriteMode.pb
; Function:        StringGadget - get & set overwrite-/insert-mode - Linux
; Author:          Omi
; Date:            Mar. 17, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_entry_set_overwrite_mode(*entry, overwrite)
	gtk_entry_get_overwrite_mode(*entry)
EndImport

; Object constants
#MainWin= 0
#Bt1    = 0
#Stg1   = 1
#txt1   = 2

#WinX= 300
#WinY= 200
#WinW= 300
#WinH= 200

Global.i gEvent, gQuit

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "StringGadget Overwrite/Insert", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#Bt1, 5, 5, 290, 26, "Set overwrite-mode", #PB_Button_Toggle)
	gtk_button_set_focus_on_click_(GadgetID(#Bt1), #False)
	StringGadget(#Stg1, 5, 35, 290, 26, "A text to edit ...")
	TextGadget(#txt1, 5, 65, 150, 22, "Insert")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget()= #Bt1
					If GetGadgetState(#Bt1)
						; ***
						gtk_entry_set_overwrite_mode(GadgetID(#Stg1), #True);   set overwrite
					Else
						gtk_entry_set_overwrite_mode(GadgetID(#Stg1), #False);  set insert
						; ***
					EndIf
					; ***
					If gtk_entry_get_overwrite_mode(GadgetID(#Stg1));         get mode
					; ***
							SetGadgetText(#txt1, "Overwrite")
						Else
							SetGadgetText(#txt1, "Insert")
						EndIf
				EndIf
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x64)
; CursorPosition = 23
; EnableUnicode
; EnableXP