﻿; Module/File:     EditField_SaveBeforePaste.pb
; Function:        Save StringGadget-content before paste - Linux
; Author:          Omi
; Date:            June 27, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_signal_connect(*instance, detailed_signal.p-ascii, *c_handler, *data, destroy= 0, flags= 0) As "g_signal_connect_data"
EndImport

; Object constants
#MainWin= 0
#Text1  = 0
#Strg1  = 1

Global.i gEvent, gQuit

ProcedureC Callback_EntryPaste(*Entry.GtkEntry, user_data)
	Debug "Before copy: " + GetGadgetText(user_data)
EndProcedure

If OpenWindow(#MainWin, 300, 200, 250, 200, "Save before paste", #PB_Window_SystemMenu |#PB_Window_WindowCentered)
	TextGadget(#Text1,   5,  5, 240, 22, "Copy me and paste to StringGadget")
	StringGadget(#Strg1, 5, 30, 240, 26, "The old StringGadget-content.")
	
	gtk_label_set_selectable_(GadgetID(#Text1), #True);                                      TextGadget selectable
	g_signal_connect(GadgetID(#Strg1), "paste-clipboard", @Callback_EntryPaste(), #Strg1);   Callback BEFORE paste
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget() = #Strg1
					If EventType() = #PB_EventType_Change
						Debug "After copy: " + GetGadgetText(#Strg1);                                      New content after paste or changes
					EndIf
				EndIf
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 8
; Folding = -
; EnableUnicode
; EnableXP