﻿; Module/File:     Gtk_IsErrorBell.pb
; Function:        Get state of gtk-error-bell - Linux
; Author:          Omi
; Date:            Apr. 18, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	g_object_get_property(*object.GObject, property.p-utf8, *gval)
	g_object_set(*object.GObject, property_name.p-utf8, *data, v= 0)
EndImport

; Object constants
#MainWin  = 0
#txt1     = 0
#txt2     = 1

#G_TYPE_BOOLEAN  = 20

#WinX=300
#WinY=200
#WinW=350
#WinH=100

Global.i gEvent, gQuit

Procedure GtkIsErrorBellActive()
	Protected gVal.GValue
	Protected ErrBell
	g_value_init_(@gval, #G_TYPE_BOOLEAN)
	g_object_get_property(gtk_settings_get_default_(), "gtk-error-bell", @gval)
	ErrBell= g_value_get_boolean_(@gval)
	g_value_unset_(@gval)
	ProcedureReturn ErrBell
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "system error-bell", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#txt1, 5, 5, 150, 22, "gtk-error-bell active? ")
	TextGadget(#txt2, 155, 5, 190, 30, " ")
	
	;g_object_set(gtk_settings_get_default_(), "gtk-error-bell", 0)
	
	SetGadgetText(#txt2, Str(GtkIsErrorBellActive()))
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.41 LTS (Linux - x64)
; CursorPosition = 12
; Folding = -
; EnableUnicode
; EnableXP