﻿; Module/File:     System_DefaultApplicationRead.pb
; Function:        Reads default application for filtetype - Linux
; Author:          Omi
; Date:            Oct. 04, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Different returns on different systems

Debug "Read Default-Applications ..."

ProgramID= RunProgram("xdg-mime", " query default " + #DQUOTE$ + "application/pdf" + #DQUOTE$, "", #PB_Program_Open | #PB_Program_Read)
While ProgramRunning(ProgramID)
	If AvailableProgramOutput(ProgramID)
		Output$ + ReadProgramString(ProgramID)
	EndIf
Wend
CloseProgram(ProgramID)
Debug "application/pdf: " + Output$


Output$= ""
ProgramID= RunProgram("xdg-mime", " query default " + #DQUOTE$ + "image/png" + #DQUOTE$, "", #PB_Program_Open | #PB_Program_Read)
While ProgramRunning(ProgramID)
	If AvailableProgramOutput(ProgramID)
		Output$ + ReadProgramString(ProgramID)
	EndIf
Wend
CloseProgram(ProgramID)
Debug "image/png: " + Output$


Output$= ""
ProgramID= RunProgram("xdg-mime", " query default " + #DQUOTE$ + "text/plain" + #DQUOTE$, "", #PB_Program_Open | #PB_Program_Read)
While ProgramRunning(ProgramID)
	If AvailableProgramOutput(ProgramID)
		Output$ + ReadProgramString(ProgramID)
	EndIf
Wend
CloseProgram(ProgramID)
Debug "text/plain: " + Output$
; IDE Options = PureBasic 5.40 LTS Beta 9 (Linux - x86)
; CursorPosition = 12
; EnableUnicode
; EnableXP