﻿; Module/File:     System_GetNamedProcessId.pb
; Function:        Get the ID of a named process - Linux
; Author:          Omi
; Date:            Aug. 25, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------


Global.i ProgramID
Global.s ProgramOutput, NamedProcess= "PB5.42";"purebasic"

Global ProgramID = RunProgram("pidof", NamedProcess, "", #PB_Program_Open | #PB_Program_Read)

If ProgramID
  While ProgramRunning(ProgramID)
    If AvailableProgramOutput(ProgramID)
      ProgramOutput + ReadProgramString(ProgramID) + #CR$
    EndIf
  Wend
 
  CloseProgram(ProgramID)

  Debug "ID of " + NamedProcess + " = " + ProgramOutput
EndIf
; IDE Options = PureBasic 5.42 LTS (Linux - x86)
; CursorPosition = 9
; EnableUnicode
; EnableXP