﻿; Module/File:     System_GroupInfo_List.pb
; Function:        Shows Group-Data-List - Linux
; Author:          Progi1984 / Omi
; Date:            Dec. 19, 2014
; Version:         0.2, 64-Bit-Prob.
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

Structure GROUP
	gr_name.s      ; group name
	gr_passwd.s    ; group password
	gr_gid.i       ; group id (GID);    prev. .l
	gr_mem.i       ; group membernames; prev. .l
EndStructure

Global.i gGmembers
Global *InfosGroupMem = AllocateMemory(SizeOf(GROUP))
Global InfosGroup.GROUP

Repeat
	*InfosGroupMem = getgrent_(); group file entry
	If *InfosGroupMem
		CopyMemory(*InfosGroupMem, @InfosGroup, SizeOf(GROUP))
		Debug "group name    : " + PeekS(@InfosGroup\gr_name, -1, #PB_Ascii);        read as ascii
		Debug "group password: " + PeekS(@InfosGroup\gr_passwd, -1, #PB_Ascii)
		Debug "group id      : " + Str(InfosGroup\gr_gid)
		gGmembers= PeekI(InfosGroup\gr_mem)
		If gGmembers
			Debug "group members : " + PeekS(gGmembers, -1, #PB_Ascii)
		Else
			Debug "group members : "
		EndIf
		Debug " ---"
	EndIf
Until *InfosGroupMem= 0
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 5
; EnableUnicode
; EnableXP
; DisablePurifier = 483,533,5956,442