﻿; Module/File:     System_PasswordInfo_List.pb
; Function:        Shows User-Data-List - Linux
; Author:          Progi1984 / Omi
; Date:            Sep. 14, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

Structure PASSWD
	pw_name.s      ; user name
	pw_passwd.s    ; user password
	pw_uid.l       ; user id
	pw_gid.l       ; group id
	pw_gecos.s     ; real name
	pw_dir.s       ; home directory
	pw_shell.s     ; shell program
EndStructure

*InfosPassMem = AllocateMemory(SizeOf(PASSWD))
InfosPass.PASSWD

Repeat
	*InfosPassMem = getpwent_(); password file entry
	If *InfosPassMem
		CopyMemory(*InfosPassMem, @InfosPass, SizeOf(PASSWD))
		Debug "Name    : " + PeekS(@InfosPass\pw_name, -1, #PB_Ascii);        read as ascii
		Debug "Password: " + PeekS(@InfosPass\pw_passwd, -1, #PB_Ascii)
		Debug "UserID  : " + Str(InfosPass\pw_uid)
		Debug "GroupID : " + Str(InfosPass\pw_gid)
		Debug "UserInfo: " + PeekS(@InfosPass\pw_gecos, -1, #PB_Ascii)
		Debug "Home-Dir: " + PeekS(@InfosPass\pw_dir, -1, #PB_Ascii)
		Debug "Shell   : " + PeekS(@InfosPass\pw_shell, -1, #PB_Ascii)
		Debug " ---"
	EndIf
Until *InfosPassMem= 0
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 19
; EnableUnicode
; EnableXP