﻿; Module/File:     TG_SetMarkups.pb
; Function:        Set Markups for a TextGadget- Linux
; Author:          Omi
; Date:            May 22, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_label_set_markup(*label.GtkWidget, markup.p-utf8)
EndImport

; Object constants
#MainWin= 0

#Text1  = 0
#Text2  = 1
#Text3  = 2
#Text4  = 3
#Text5  = 4
#Text6  = 5
#Text7  = 6
#Text8  = 7
#Text9  = 8
#Text10 = 9
#Text11 = 10

#WinX= 300
#WinY= 200
#WinW= 250
#WinH= 340

Global.i gEvent, gQuit
Global.s S


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "TextGadget - text markups", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	S= "Label with a <b>fat</b> word."
	TextGadget(#Text1, 5, 5, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text1), S)
	gtk_label_set_use_markup_(GadgetID(#Text1), #True)
	
	S= "Label with a <span foreground=" + #DQUOTE$ + "blue" + #DQUOTE$ + ">" + "blue</span> word."
	TextGadget(#Text2, 5, 35, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text2), S)
	gtk_label_set_use_markup_(GadgetID(#Text2), #True)
	
	S= "Label with a <span size=" + #DQUOTE$ + "large" + #DQUOTE$ + ">" + "big</span> word."
	TextGadget(#Text3, 5, 65, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text3), S)
	gtk_label_set_use_markup_(GadgetID(#Text3), #True)
	
	S= "Label with a <u>underlined</u> word."
	TextGadget(#Text4, 5, 95, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text4), S)
	gtk_label_set_use_markup_(GadgetID(#Text4), #True)
	
	S= "Label with a <s>striked out</s> word."
	TextGadget(#Text5, 5, 125, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text5), S)
	gtk_label_set_use_markup_(GadgetID(#Text5), #True)
	
	S= "Label with a <tt>monospaced</tt> word."
	TextGadget(#Text6, 5, 155, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text6), S)
	gtk_label_set_use_markup_(GadgetID(#Text6), #True)
	
	S= "Label with Superscript like x<sup>-2</sup>."
	TextGadget(#Text7, 5, 185, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text7), S)
	gtk_label_set_use_markup_(GadgetID(#Text7), #True)
	
	S= "Label with Subscript like x<sub>4</sub>."
	TextGadget(#Text8, 5, 215, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text8), S)
	gtk_label_set_use_markup_(GadgetID(#Text8), #True)
	
	S= "Label with a <small>small</small> word."
	TextGadget(#Text9, 5, 245, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text9), S)
	gtk_label_set_use_markup_(GadgetID(#Text9), #True)
	
	S= "Label with a <small>small</small> word."
	TextGadget(#Text9, 5, 245, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text9), S)
	gtk_label_set_use_markup_(GadgetID(#Text9), #True)
	
	S= "Label with a <i>italic</i> word."
	TextGadget(#Text10, 5, 275, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text10), S)
	gtk_label_set_use_markup_(GadgetID(#Text10), #True)
	
	S= "Label with a <span bgcolor=" + #DQUOTE$ + "yellow" + #DQUOTE$ + ">" + " marked </span> word."
	TextGadget(#Text11, 5, 305, 240, 25, S, #PB_Text_Border)
	gtk_label_set_markup(GadgetID(#Text11), S)
	gtk_label_set_use_markup_(GadgetID(#Text11), #True)
	
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 5
; EnableUnicode
; EnableXP