﻿; Module/File:     Toolbar_AddSecondInContainer.pb
; Function:        Add 2. Toolbar - Linux gtk2
; Author:          shardik
; Date:            Nov. 09, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

; Object constants
#MainWin= 0
#TBar1  = 0
#TBar2  = 1

#WinX   = 0
#WinY   = 0
#WinW   = 600
#WinH   = 400

Global.i gEvent, gQuit

Procedure Create_WinMain()
	OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Toolbar Demo", #PB_Window_SystemMenu | #PB_Window_SizeGadget | #PB_Window_MaximizeGadget | #PB_Window_ScreenCentered)
	CreateToolBar(#TBar1, WindowID(#MainWin))
	
	ToolBarStandardButton(0, #PB_ToolBarIcon_New)
	ToolBarStandardButton(1, #PB_ToolBarIcon_Open)
	ToolBarStandardButton(2, #PB_ToolBarIcon_Save)
	
	ContainerGadget(#MainWin, 5, 5, #WinW-10, 42, #PB_Container_Flat)
	CreateToolBar(#TBar2, WindowID(#MainWin))
	gtk_widget_reparent_(ToolBarID(#TBar2), GadgetID(#TBar1))
	
	ToolBarStandardButton(3, #PB_ToolBarIcon_Print)
	ToolBarSeparator()
	ToolBarStandardButton(4, #PB_ToolBarIcon_Copy)
	ToolBarStandardButton(5, #PB_ToolBarIcon_Cut)
	ToolBarStandardButton(6, #PB_ToolBarIcon_Paste)
	
	CloseGadgetList()
EndProcedure

Create_WinMain()

Repeat
	gEvent= WaitWindowEvent()
	
	If gEvent= #PB_Event_Menu
		Debug "Toolbar button " + Str(EventMenu()) + " was pressed"
	EndIf
Until gEvent= #PB_Event_CloseWindow
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; FirstLine = 4
; Folding = -
; EnableUnicode
; EnableXP