﻿; Module/File:     Trackbar_AddValueDisplayWithPos.pb
; Function:        Trackbar: Fügt eigene Ticks (Marks) hinzu - Linux
; Author:          Omi
; Date:            Juli 26, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_scale_clear_marks(*scale.GtkScale)
	gtk_scale_add_mark(*scale.GtkScale, value.d, position.i, *markup)
EndImport


; Window Variablen
#MainWin= 0
#TB1    = 0
#TB2    = 1

#WinX=300
#WinY=200
#WinW=400
#WinH=150

Global.i gEvent, gQuit
Global.i I


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Trackbar w. own ticks", #PB_Window_SystemMenu)
	
	TrackBarGadget(#TB1, 5, 5, 300, 40, 0, 100, #PB_TrackBar_Ticks)
	
	gtk_scale_set_value_pos_(GadgetID(#TB1), #GTK_POS_LEFT);  value-display - others positions: #GTK_POS_RIGHT, #GTK_POS_TOP, #GTK_POS_BOTTOM
	gtk_scale_set_draw_value_(GadgetID(#TB1), #True);         add value-display
	gtk_scale_clear_marks(GadgetID(#TB1));                    clear marks (also possible if no marks are displayed)
	gtk_scale_set_digits_(GadgetID(#TB1), 0);                 no Digits in display
	For I= 0 To 10;                                           add values - automatically placed correct
		gtk_scale_add_mark(GadgetID(#TB1), I*10, #GTK_POS_BOTTOM, #Null)
	Next I
	
	TrackBarGadget(#TB2, 5, 70, 300, 40, 1, 10);            ticks always shown ???
	
	gtk_scale_set_value_pos_(GadgetID(#TB2), #GTK_POS_RIGHT)
	gtk_scale_set_draw_value_(GadgetID(#TB2), #True)
	gtk_scale_clear_marks(GadgetID(#TB2))
	For I= 1 To 10
		gtk_scale_add_mark(GadgetID(#TB2), I, #GTK_POS_TOP, #Null)
	Next I
	
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 29
; FirstLine = 15
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/