﻿; Module/File:     System_GdkWindowFromWindow2.pb
; Function:        Get GdkWindow from Window no. - Linux gtk2/gtk3
; Author:          Omi
; Date:            Sep. 05, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_widget_get_window(*widget.GtkWidget)
EndImport

; Object constants
#Win_Main  = 0

#Txt1 = 0
#Txt2 = 1

Global.i gEvent, gQuit
Global *gGtkWindow.GtkWindow

Procedure.i GetGdkWindow(Window)
	ProcedureReturn gtk_widget_get_window(WindowID(Window))
EndProcedure

OpenWindow(#Win_Main, 100, 100, 170, 160, "Get gdk_window")
TextGadget(#Txt1, 10, 10, 160, 24, "")
TextGadget(#Txt2, 10, 40, 160, 24, "")

; *gGtkWindow= WindowID(#Win_Main)
SetGadgetText(#Txt1, "GtkWindow= " + Str(WindowID(#Win_Main)))
SetGadgetText(#Txt2, "GdkWindow= " + Str(GetGdkWindow(#Win_Main)))


Repeat
	gEvent= WaitWindowEvent()
	Select gEvent
			
		Case #PB_Event_CloseWindow
			gQuit= #True
			
	EndSelect
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 17
; Folding = -
; EnableUnicode
; EnableXP