﻿; Module/File:     Window_NoPagerEntry2.pb
; Function:        Skips pager entry for Window with wmctrl- Linux
; Author:          Omi
; Date:            May 22, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

; depends on window manager
; wmctrl must be installed !!!
; install: sudo apt-get install wmctrl

EnableExplicit

Global.i gProgrammId
Global.s gWinTitle= "Window_NoPagerEntry2"

Delay(2000)

gProgrammId = RunProgram("wmctrl", "-r " + #DQUOTE$ + gWinTitle + #DQUOTE$ + " -b add,skip_pager", "", #PB_Program_Hide);   skip pager entry for Window 'Window_NoPagerEntry2'

Delay(4000)

gProgrammId = RunProgram("wmctrl", "-r " + #DQUOTE$ + gWinTitle + #DQUOTE$ + " -b remove,skip_pager", "", #PB_Program_Hide); show pager entry for Window 'Window_NoPagerEntry2'

Delay(2000)
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 26
; EnableUnicode
; EnableXP