﻿; Module/File:     Window_NoTaskbarEntry.pb
; Function:        Skips taskbar entry for Window - Linux gtk2/gtk3
; Author:          Omi
; Date:            May. 16, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;depends on window-manager/theme

EnableExplicit

ImportC ""
	gtk_widget_get_window(*widget.GtkWidget)
EndImport

; Object constants
#Win_Main  = 0

#WinX= 300
#WinY= 200
#WinW= 250
#WinH= 200

Global.i gEvent, gEventWin, gQuit

Procedure.i GetGdkWindow(Window)
	ProcedureReturn gtk_widget_get_window(WindowID(Window))
EndProcedure

Procedure Create_WinMain()
	If OpenWindow(#Win_Main, #WinX, #WinY, #WinW, #WinH, "Window no taskbar entry", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	EndIf
EndProcedure

Create_WinMain()

;With gdk ...
;gdk_window_set_skip_taskbar_hint_(GetGdkWindow(#Win_Main), #True)
;or with gtk ...
gtk_window_set_skip_taskbar_hint_(WindowID(#Win_Main), #True)

Repeat
	gEvent= WaitWindowEvent()
	gEventWin= EventWindow()
	
	If gEventWin = #Win_Main
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				
		EndSelect
		
	EndIf
	
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 15
; Folding = -
; EnableUnicode
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/