﻿; Module/File:     Window_SetIcon2.pb
; Function:        Sets Window-Icon, embedded in exe - Linux gtk2/gtk3
; Author:          Omi
; Date:            Oct. 31, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;depends on distribution

EnableExplicit

UsePNGImageDecoder()

; Object constants
#MainWin= 0

#AppImage = 0

#WinX=300
#WinY=200
#WinW=300
#WinH=300

Global.i gEvent, gQuit

OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Sets window icon", #PB_Window_SizeGadget)

If CatchImage(#AppImage, ?ProgrammIcon)
	gtk_window_set_icon_(WindowID(#MainWin), ImageID(#AppImage))
EndIf

Repeat
	gEvent= WaitWindowEvent()
	
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit

End

DataSection
	ProgrammIcon: : IncludeBinary "/usr/share/icons/default.kde4/48x48/apps/preferences-desktop-screensaver.png";   change to existing 48x48-icon
EndDataSection
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 23
; FirstLine = 1
; EnableUnicode
; EnableXP