﻿; Module/File:     Window_SetModal.pb
; Function:        Set a window modal (= locked parent) - Linux
; Author:          Omi
; Date:            Mar. 29, 2015
; Version:         0.1
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------

EnableExplicit

ImportC ""
	gtk_window_set_modal(*window.GtkWindow, modal)
EndImport

#MainWin= 0
#SecWind= 1

#But1 = 0

Global.i gEvent, gQuit, gEventWin


If OpenWindow(#MainWin, 0, 0, 350, 240, "Window 1", #PB_Window_ScreenCentered | #PB_Window_SystemMenu)
	ButtonGadget(#But1, 5, 5, 340, 26, "try to click me with opened or closed window 2")
	
	If OpenWindow(#SecWind, 0, 0, 240, 120, "Window 2 (modal)", #PB_Window_ScreenCentered)
		gtk_window_set_modal(WindowID(#SecWind), #True)
		;gtk_window_set_keep_above_(WindowID(#SecWind), #True); neccessary on some WindowManager
	EndIf
	
	Repeat
		gEvent = WaitWindowEvent()
		gEventWin= EventWindow()
		
		If gEventWin= #MainWin
			If gEvent= #PB_Event_CloseWindow
				gQuit= #True
			EndIf
			
		ElseIf gEventWin= #SecWind
			If gEvent= #PB_Event_CloseWindow
				CloseWindow(#SecWind)
			EndIf
			
		EndIf
	Until gQuit
EndIf
; IDE Options = PureBasic 5.41 LTS (Linux - x64)
; CursorPosition = 29
; FirstLine = 6
; EnableUnicode
; EnableXP