﻿; Module/File:     Window_UrgentHint.pb
; Function:        Set urgent hint on window - Linux gtk2/gtk3
; Author:          Omi
; Date:            Jan. 03, 2014
; Version:         0.2 updt. for gtk3
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;depends on distribution (not Mint 17, KDE depends on Settings)

EnableExplicit

ImportC ""
	gtk_window_set_urgency_hint(*window.GtkWindow, setting)
	gtk_widget_get_window(*widget.GtkWidget)
EndImport

; Object constants
#MainWin  = 0

#But1= 0

Global.i gEvent, gQuit

Procedure Window_Untop(Window)
	gdk_window_lower_(gtk_widget_get_window(WindowID(Window)))
EndProcedure

Procedure Window_UrgentHint(Window, HintOn)
	gtk_window_set_urgency_hint(WindowID(Window), HintOn)
EndProcedure

If OpenWindow(#MainWin, 300, 200, 200, 200, "Urgent hint", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget(#But1, 5, 5, 150, 26, "Demo")
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget()= #But1
					Window_Untop(#MainWin);                                    untop für demo
					Window_UrgentHint(#MainWin, #True)
					AddWindowTimer(#MainWin, 0, 4000)
					Delay(500)
				EndIf
				
			Case #PB_Event_Timer
				If EventTimer()= 0
					Window_UrgentHint(#MainWin, #False)
					RemoveWindowTimer(#MainWin, 0)
				EndIf
				
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 21
; Folding = -
; EnableUnicode
; EnableXP