﻿; Module/File:     Window_WindowBeep.pb
; Function:        Set WindowIconify by order with gdk - Linux gtk2/gtk3
; Author:          Omi
; Date:            Sep. 18, 2014
; Version:         0.2 updt. gtk3
; Target Compiler: PureBasic 5.22/5.31/5.40
; Target OS:       Linux: (X/K/L)ubuntu, Mint, 32/64, Ascii/Uni
;--------------------------------------------------------------
;Function depends on distribution & installation of 'Beep'. KDE optical effect on top-window.

EnableExplicit

ImportC ""
	gdk_window_beep(*window)
	gdk_beep()
	gtk_widget_get_window(*widget.GtkWidget)
EndImport

; Object constants
#MainWin  = 0

#Button1 = 0

#WinX=100
#WinY=100
#WinW=170
#WinH=160

Global.i gEvent, gQuit


Procedure SetWindowBeep(Window)
	gdk_window_beep(gtk_widget_get_window(WindowID(Window)))
	;also possible ...
	;gdk_beep()
	;also see ...
	; Misc/System_BeepDefault.pb
EndProcedure

OpenWindow(#MainWin, 100, 100, 170, 160, "gdk_window_beep")
ButtonGadget(#Button1, 10, 10, WindowWidth(0) - 20, 24, "Window-Beep")

Repeat
	gEvent= WaitWindowEvent()
	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #Button1
					Delay(500)
					SetWindowBeep(#MainWin)
			EndSelect
	EndSelect
Until gQuit
; IDE Options = PureBasic 5.40 LTS (Linux - x86)
; CursorPosition = 9
; Folding = -
; EnableUnicode
; EnableXP
; DisableDebugger